SystemOrganization addCategory: 'OrbeonFormProcessBackofficeWeb2'!

SewafChildComponent subclass: #WABizagiImportReport
	instanceVariableNames: 'warnings'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!WABizagiImportReport methodsFor: 'other' stamp: 'BrunoBB 03/12/2015 17:23'!
createDescriptionColumn

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each description]
			title: 'Description')! !

!WABizagiImportReport methodsFor: 'other' stamp: 'BrunoBB 03/12/2015 17:23'!
createTitleColumn

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each title]
			title: 'Title')! !

!WABizagiImportReport methodsFor: 'other' stamp: 'BrunoBB 03/12/2015 17:22'!
createTypeColumn

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each type]
			title: 'Type')! !

!WABizagiImportReport methodsFor: 'other' stamp: 'BrunoBB 03/12/2015 17:21'!
initialize

	super initialize.

	warnings := OrderedCollection new.! !

!WABizagiImportReport methodsFor: 'other' stamp: 'BrunoBB 07/21/2015 14:45'!
renderContentOn: html

	html div id: 'imported-xpdl-report'; class: 'unique-centered-table unique-centered-table-width70'; with: [
		html render: self reportTable.
	].

	html anchor callback: [self answer: true.];
		with: [html image  url: (SEWAFIconLibrary / #arrowback432Png); altText: 'Back to Import Processes'; title: 'Back to Import Processes'].! !

!WABizagiImportReport methodsFor: 'other' stamp: 'BrunoBB 03/12/2015 17:46'!
reportTable

	^(SewafSelectTableReport summary: 'Warnings')
		rows: warnings; "get collection elements"
		columns: (OrderedCollection new 
						add: self createTypeColumn;
						add: self createTitleColumn;
						add: self createDescriptionColumn;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!WABizagiImportReport methodsFor: 'Accessing' stamp: 'BrunoBB 03/12/2015 17:42'!
warnings

   "Return the value of the instance variable 'warnings'."
   ^warnings! !

!WABizagiImportReport methodsFor: 'Updating' stamp: 'BrunoBB 03/12/2015 17:42'!
warnings: newValue

   "Modify the value of the instance variable 'warnings'."
   warnings := newValue! !

SewafLateralListComposite subclass: #WAProcessDefinitionBrowser
	instanceVariableNames: 'mode categories'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!WAProcessDefinitionBrowser methodsFor: 'Accessing' stamp: 'BrunoBB 07/02/2015 12:37'!
categories
	^categories! !

!WAProcessDefinitionBrowser methodsFor: 'Updating' stamp: 'BrunoBB 07/02/2015 12:37'!
categories: newValue
	categories := newValue! !

!WAProcessDefinitionBrowser methodsFor: 'categories' stamp: 'BrunoBB 07/03/2015 12:09'!
filterProcessDefinitionByCategory: aProcessDefinitionUserCategory

	searchApplied := true.
	searchResult := lateralCollection select: [:each | aProcessDefinitionUserCategory includes: each]! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 06/27/2015 13:10'!
getCurrentCollection

	searchApplied ifFalse: [^lateralCollection].

	^searchResult! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 09/28/2015 16:44'!
getFormDefinitionList
	| allFormsNames |

	allFormsNames := OrderedCollection new.

	lateralCollection do: [:each | allFormsNames addAll: each getTransitionsNames].

	^self viewAllArray, allFormsNames asSet asSortedCollection

"	^#('-View All-'), (allFormsNames asSet asSortedCollection) "! !

!WAProcessDefinitionBrowser methodsFor: 'lateral assignment' stamp: 'BrunoBB 06/27/2015 13:40'!
getIconNameFormItem 

	^#pageprocess32Png! !

!WAProcessDefinitionBrowser methodsFor: 'lateral assignment' stamp: 'BrunoBB 06/27/2015 13:54'!
getTextForItem: aLateralListItem

	^aLateralListItem name! !

!WAProcessDefinitionBrowser methodsFor: 'other' stamp: 'BrunoBB 07/02/2015 12:37'!
initialize

	super initialize.

	mode := #normal.
	searchAvailable := false.
	categories := OrderedCollection new.! !

!WAProcessDefinitionBrowser methodsFor: 'Accessing' stamp: 'BrunoBB 06/05/2015 15:45'!
mode
	^mode! !

!WAProcessDefinitionBrowser methodsFor: 'Updating' stamp: 'BrunoBB 06/05/2015 15:45'!
mode: newValue
	mode := newValue! !

!WAProcessDefinitionBrowser methodsFor: 'categories' stamp: 'BrunoBB 07/03/2015 11:15'!
onProcessCategoryClicked: aProcessDefinitionUserCategory

	self hasSelectedLateralItem ifFalse: [^self filterProcessDefinitionByCategory: aProcessDefinitionUserCategory].

	(aProcessDefinitionUserCategory includes: selectedLateralItem)
	ifTrue: [aProcessDefinitionUserCategory remove: selectedLateralItem]
	ifFalse: [aProcessDefinitionUserCategory add: selectedLateralItem]! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 06/13/2015 08:39'!
registerProcessType: value

	searchValues at: 'process-type' put: value.! !

!WAProcessDefinitionBrowser methodsFor: 'categories' stamp: 'BrunoBB 07/03/2015 12:25'!
renderCategoriesListOn: html

	categories do: [:each | 
		html anchor callback: [self onProcessCategoryClicked: each]; 
			class: 'category-label';
			style: 'background-color:', each color;
			with: [html output: each name]].! !

!WAProcessDefinitionBrowser methodsFor: 'categories' stamp: 'BrunoBB 07/03/2015 12:29'!
renderCustomItemElementOn: html forItem: aOrbeonProcessDefinition

	(self session user getProcessDefinitionCategoriesFor: aOrbeonProcessDefinition) do: [:each | 
		html div class: 'category-circle'; style: 'background-color: ', each color;
			with: [html output: each name first].
	].! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 09/28/2015 16:52'!
renderFormDefinitionComboOn: html

	html label attributeAt: 'for' put: 'formDefinition'; with: ('Form' translateFor: self session user).

	html select "Form Definition List" class: 'search-section-width-200';
		attributeAt: 'id' put: 'formDefinition';
		list: self getFormDefinitionList;
		callback: [:value | searchValues at: 'form-type' put: value];
		selected: (searchValues at: 'form-type' ifAbsent: ['']).! !

!WAProcessDefinitionBrowser methodsFor: 'process' stamp: 'BrunoBB 07/23/2015 12:16'!
renderItemComponentOn: html

	html unorderedList with:[
		selectedLateralItem transitions do: [:transitionDefinition |
			html listItem with: [self renderTransitionOn: html forTransition: transitionDefinition.
										html horizontalRule.].
		].
	].! !

!WAProcessDefinitionBrowser methodsFor: 'process' stamp: 'BrunoBB 06/27/2015 14:45'!
renderItemDescriptionAditionalDataOn: html

	html span: [html strong: ('Can be Modified:' translateFor: self session user)]. 
	html output: selectedLateralItem canModifyPathDefinition.
	html span: [html strong: ('Has Finished Processes:' translateFor: self session user)]. 
	html output: selectedLateralItem hasFinishedProcesses.! !

!WAProcessDefinitionBrowser methodsFor: 'process' stamp: 'BrunoBB 06/27/2015 14:44'!
renderItemDescriptionSecondaryDataOn: html

	html span with: [html strong: ('Process Id:' translateFor: self session user)].
	html output: selectedLateralItem processId.
	html span with: [html strong: ('Version:' translateFor: self session user)].
	html output: selectedLateralItem version.
	html span with: [html strong: ('Application:' translateFor: self session user)].
	html output: selectedLateralItem applicationName.
	html span with: [html strong: ('Parent Process:' translateFor: self session user)].
	html output: selectedLateralItem parentProcessName.! !

!WAProcessDefinitionBrowser methodsFor: 'process' stamp: 'BrunoBB 06/27/2015 14:44'!
renderItemDescriptionTitleOn: html

	html output:  selectedLateralItem name.! !

!WAProcessDefinitionBrowser methodsFor: 'lateral process list' stamp: 'BrunoBB 06/27/2015 13:59'!
renderLateralItemDetailsOn: html for: aLateralItem

	html strong with: [html output: aLateralItem processId].
	html strong with: [html output: aLateralItem version].
	html strong with: [html output: aLateralItem applicationName].! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 09/28/2015 16:47'!
renderProcessTypeComboOn: html

	html label attributeAt: 'for' put: 'processType'; with: ('Process Type' translateFor: self session user).
	html select "Process Definition List"
		attributeAt: 'id' put: 'processType';
		list: self viewAllArray, (lateralCollection collect: [:each | each name]) asSet asSortedCollection;
		onChange: 'submit()';
		callback: [:value | self registerProcessType: value];
		selected: (searchValues at: 'process-type' ifAbsent: ['']).! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 07/01/2015 13:50'!
renderSearchAreaOn: html

	self searchPanelIsRegular ifTrue: [^self renderSearchRegularPanelOn: html].

	^self renderSearchCategoriesPanelOn: html! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 07/02/2015 14:20'!
renderSearchCategoriesPanelOn: html

	html form with: [ 
		html fieldSet with: [
			self renderSwitchWindowOn: html.
			html label with: ('Category Name' translateFor: self session user).
			html textInput callback: [:value | searchValues at: 'category-name' put: value].
			self renderCategoriesListOn: html.
			html submitButton class: 'search-section-float search-section-width-100';
				callback: [self searchMatchingCategories]; 
				with: ('Search' translateFor: self session user).
		].
].! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 07/23/2015 12:06'!
renderSearchRegularPanelOn: html

	html form with: [ 
		html fieldSet with: [
			self renderSwitchWindowOn: html.
			html label attributeAt: 'for' put: 'processId'; with: ('Process Id' translateFor: self session user).
			html textInput attributeAt: 'id' put: 'processId';
				callback: [:value | searchValues at: 'id' put: value].
			self renderProcessTypeComboOn: html.
			self renderFormDefinitionComboOn: html.
			html div id: 'top-search-filters'; with: [
				self renderSearchSubmitButtonOn: html].
		].
]! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 06/24/2015 11:39'!
renderSearchSubmitButtonOn: html

	html submitButton class: 'search-section-float search-section-width-100';
			callback: [self searchMatchingProcesses]; 
			with: ('Search' translateFor: self session user).! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 07/01/2015 13:52'!
renderSwitchWindowOn: html

	html div id: 'top-search-switch-icon'; with: [
		html anchor 
			callback: [searchPanelName := (searchPanelName = #search) ifTrue: [#categories] ifFalse: [#search]];
			with: [
				html div with: [
					html image url: (SEWAFIconLibrary / #ezswitchuser16Png); 
						altText: 'Switch Window'; 
						title: 'Switch Window'.
				].
		].
	].! !

!WAProcessDefinitionBrowser methodsFor: 'process' stamp: 'BrunoBB 06/07/2015 13:59'!
renderTransitionOn: html forTransition: transitionDefinition

	html output: transitionDefinition printData! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 06/27/2015 13:11'!
searchByFormType

	searchResult := lateralCollection select: [:each | each getTransitionsNames includes: (searchValues at: 'form-type')].! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 06/27/2015 13:11'!
searchByProcessId

	searchResult := lateralCollection select: [:each | each processId printString = (searchValues at: 'id')].! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 06/27/2015 13:11'!
searchByProcessType

	searchResult := lateralCollection select: [:each | each name = (searchValues at: 'process-type')].! !

!WAProcessDefinitionBrowser methodsFor: 'categories' stamp: 'BrunoBB 07/02/2015 13:40'!
searchMatchingCategories

	categories := (ProcessDefinitionUserCategory getCategoriesFor: self session user) select: [:each | 
		(searchValues at: 'category-name' ifAbsent: ['']) match: each name].! !

!WAProcessDefinitionBrowser methodsFor: 'search area' stamp: 'BrunoBB 09/28/2015 16:48'!
searchMatchingProcesses

	searchApplied := true.

	((searchValues includesKey: 'id') and: [(searchValues at: 'id') notEmpty])
	ifTrue: [^self searchByProcessId].

	((searchValues includesKey: 'process-type') and: [(searchValues at: 'process-type') ~= self viewAllText])
	ifTrue: [^self searchByProcessType].

	((searchValues includesKey: 'form-type') and: [(searchValues at: 'form-type') ~= self viewAllText])
	ifTrue: [^self searchByFormType].

	^searchResult := lateralCollection! !

SEWAFWebLogin subclass: #WAOrbeonBackofficeLogin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!WAOrbeonBackofficeLogin methodsFor: 'other' stamp: 'BrunoBB 06/29/2015 16:55'!
style

	^'
h1 {margin-left: 20%;}
body {
	margin-bottom: 25px !!important;
	background-color: darkgrey;
}
#flags {
	float: right;
}
#flags img {
	margin-right: 5px;
}
#login {
	border-radius: 25px;
	padding-top: 20px;
	padding-bottom: 20px;
    width: 50%; 
    margin: 0 auto;
	background-color: lightblue;
}
#login form{
    width:50%;
	background-color: lightblue;
	margin-left: 20%;
}
#login form p{
	color: darkred;
}
#user {
	margin-bottom: 5px;
	display: inline-block;
	width: 80%;
}
#user input {
	border-radius: 15px;
	float: right;
}
#user label {
	float: left;
}
#password {
	display: inline-block;
	width: 80%;
}
#password label {
	float: left;
}
#password input {
	border-radius: 15px;
	float: right;
}
#login-button {
	float: right;
}
#login-button input {
	border-radius: 8px;
	margin-right: -20px;
}'! !

!WAOrbeonBackofficeLogin methodsFor: 'other' stamp: 'BrunoBB 06/05/2015 06:29'!
tryLogin
	| logedUser |

	((OrbeonServerConfiguration default loginModeFor: 'orbeon-processes-web') validateUser: name password: password)
	ifFalse: [^loginAttempts := loginAttempts + 1].

	logedUser := OrbeonFormUser cache at: name.

	logedUser isBackofficeUser ifFalse: [^loginAttempts := loginAttempts + 1].

	self session user: logedUser. 

	"self show: (WAOrbeonFormBackofficeUser on: logedUser)"

	self show: (WAProcessBackofficePortal on: logedUser)! !

SEWAFWebObjectComposite subclass: #BkUserLanguageComposite
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!BkUserLanguageComposite methodsFor: 'other' stamp: 'BrunoBB 06/26/2015 14:16'!
currentDictionaryName

	^searchValues at: 'selected-language' ifAbsent: ['']! !

!BkUserLanguageComposite methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 13:04'!
renderContentOn: html

	html horizontalRule.

	html div id: 'internationalization'; class: 'unique-centered-form unique-centered-form-width38'; with: [
		html form with: [ 
			html fieldSet with: [
			html legend with: [html strong: ('Languages' translateFor: self session user)].
					html label attributeAt: 'for' put: 'language'; with: ('Select Language' translateFor: self session user).
					html select attributeAt: 'id' put: 'language'; class: '';
						list: (#(''), OrbeonInternationalization default currentDictionaries);
						callback: [:value | searchValues at: 'selected-language' put: value];
						selected: self session user currentLanguage.
					html submitButton 
						callback: [self setLanguage]; 
						with: ('Set Language' translateFor: self session user).
				].
		].
	].! !

!BkUserLanguageComposite methodsFor: 'other' stamp: 'BrunoBB 06/26/2015 14:20'!
setLanguage

	self session user setLanguage: self currentDictionaryName! !

SEWAFWebObjectComposite subclass: #FormLoginModeComposite
	instanceVariableNames: 'modeType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!FormLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 16:26'!
initialize

	super initialize.

	modeType := (self serverConfiguration loginModeFor: 'orbeon-processes-web') modeName! !

!FormLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/16/2015 05:49'!
ldapLoginModeName

	^OrbeonLdapLogin modeName! !

!FormLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/16/2015 05:49'!
loginModeNames

	^Array
		with: self ldapLoginModeName
		with: OrbeonProcessWebLocalLogin modeName! !

!FormLoginModeComposite methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2015 05:48'!
modeType

   "Return the value of the instance variable 'modeType'."
   ^modeType! !

!FormLoginModeComposite methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2015 05:48'!
modeType: newValue

   "Modify the value of the instance variable 'modeType'."
   modeType := newValue! !

!FormLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 06/21/2015 14:27'!
renderContentOn: html

	html div id: 'login-mode-configuration'; class: 'unique-centered-form unique-centered-form-width38';
		with: [self renderLoginModeOn: html].! !

!FormLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 12:59'!
renderLdapOptionsOn: html

	self serverConfiguration setLdapFor: 'orbeon-processes-web'.
	html break.
	html label attributeAt: 'for' put: 'ldapIP'; with: ('Ldap IP' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'ldapIP'; callback: [:value | self serverConfiguration loginModeForProcessWeb ldapIP: value]; 
		with: self serverConfiguration ldapIpForWebProcess.
	html label attributeAt: 'for' put: 'dn'; with: ('Distinguished Name' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'dn'; callback: [:value | self serverConfiguration loginModeForProcessWeb dn: value]; 
		with: self serverConfiguration dnForWebProcess.
	html label attributeAt: 'for' put: 'ou'; with: ('Organizational Unit' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'ou'; callback: [:value | self serverConfiguration loginModeForProcessWeb ou: value]; 
		with: self serverConfiguration ouForWebProcess.
	html label attributeAt: 'for' put: 'bindPassword'; with: ('Bind Password' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'bindPassword'; callback: [:value | self serverConfiguration loginModeForProcessWeb bindPassword: value]; 
		with: self serverConfiguration bindPasswordForWebProcess.! !

!FormLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 13:37'!
renderLoginModeOn: html

	html form with: [
		html fieldSet with:[
			html legend with: [html strong: ('Login Mode' translateFor: self session user)].
			html radioGroup
				callback: [:value | modeType := value];
				selected: modeType;
				with: [ :group |
					self loginModeNames do: [:each |
						html label: [ group radioButton onChange: 'submit()'; value: each.
							html text: each]]].
			(modeType = self ldapLoginModeName) 
			ifTrue: [self renderLdapOptionsOn: html]
			ifFalse: [self setLocalLoginMode].
			html submitButton callback: [self saveLoginMode]; with: ('Save Login Mode' translateFor: self session user).
		].
	].! !

!FormLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/16/2015 05:48'!
saveLoginMode! !

!FormLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/16/2015 05:49'!
serverConfiguration

	^OrbeonServerConfiguration default! !

!FormLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/16/2015 05:50'!
setLocalLoginMode

	self serverConfiguration setLocalForProcesses! !

SEWAFWebObjectComposite subclass: #FormProcessRoleComposite
	instanceVariableNames: 'selectedUser isAddingUser newUser isBackoffice isAdmin selectedApplication'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 03/25/2014 06:15'!
answer

	super answer.

	^model! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 09/12/2014 17:47'!
booleanValueForUser: anOrbeonFormUser

	^selectedObject includesUser: anOrbeonFormUser! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 12/01/2014 04:15'!
createNewRol

	^self createNewRolIn: selectedApplication! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 10/10/2014 05:57'!
createNewRolIn: anOrbeonApplication

	anOrbeonApplication ifNil: [^self].

	model addToCacheIn: anOrbeonApplication.
	model orbeonApplication: selectedApplication.

	model := OrbeonFormRole new.

	"^self answer."! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 10/10/2014 05:56'!
createNewUser

	newUser addToCache.

	newUser := OrbeonFormUser new.

	^self answer! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 09/17/2014 06:13'!
initialize

	super initialize.

	isAddingUser := false.
	isBackoffice := false.
	isAdmin := false.
	newUser := OrbeonFormUser new.! !

!FormProcessRoleComposite methodsFor: 'Accessing' stamp: 'BrunoBB 09/12/2014 17:23'!
isAddingUser

   "Return the value of the instance variable 'isAddingUser'."
   ^isAddingUser! !

!FormProcessRoleComposite methodsFor: 'Updating' stamp: 'BrunoBB 09/12/2014 17:23'!
isAddingUser: newValue

   "Modify the value of the instance variable 'isAddingUser'."
   isAddingUser := newValue! !

!FormProcessRoleComposite methodsFor: 'Accessing' stamp: 'BrunoBB 09/17/2014 06:12'!
isAdmin

   "Return the value of the instance variable 'isAdmin'."
   ^isAdmin! !

!FormProcessRoleComposite methodsFor: 'Updating' stamp: 'BrunoBB 09/17/2014 06:12'!
isAdmin: newValue

   "Modify the value of the instance variable 'isAdmin'."
   isAdmin := newValue! !

!FormProcessRoleComposite methodsFor: 'Accessing' stamp: 'BrunoBB 09/16/2014 07:19'!
isBackoffice

   "Return the value of the instance variable 'isBackoffice'."
   ^isBackoffice! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 09/17/2014 06:23'!
isBackoffice: aBoolean

	aBoolean ifFalse: [model := model asNormalRole].

	aBoolean ifTrue: [model := model asBackofficeRole].! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:24'!
modifyUser: user value: aBoolean

	isAddingUser := false.

	aBoolean ifFalse: [^self].

	^selectedObject addUser: user! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 13:07'!
newRemoveRolButton

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				html anchor callback: [self removeRol: each]; 
								with: [html image url: (SEWAFFileLibrary / #remove24Png); 
														title: ('Remove Role' translateFor: self session user); 
														altText: ('Remove Role' translateFor: self session user).]] 
				title: 'DEL') sortBlock: nil; 
				cssClass: 'width-6-percent';
			yourself! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 13:19'!
newRemoveRolFromUserButton

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				html anchor callback: [self removeRoleFromUser: each]; 
								with: [html image url: (SEWAFFileLibrary / #remove24Png); 
														title: ('Remove User Role' translateFor: self session user); 
														altText: ('Remove User Role' translateFor: self session user).]] 
				title: 'DEL') sortBlock: nil; 
			cssClass: 'width-6-percent';
			yourself! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 13:19'!
newRemoveUserFromRolButton

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				html anchor callback: [self removeUserFromRole: each]; 
								with: [html image url: (SEWAFFileLibrary / #remove24Png); 
														title: ('Remove User from Role' translateFor: self session user); 
														altText: ('Remove User from Role' translateFor: self session user).]] 
				title: 'DEL') sortBlock: nil; 
			cssClass: 'width-6-percent';
			yourself! !

!FormProcessRoleComposite methodsFor: 'Accessing' stamp: 'BrunoBB 09/12/2014 05:49'!
newUser

   "Return the value of the instance variable 'newUser'."
   ^newUser! !

!FormProcessRoleComposite methodsFor: 'Updating' stamp: 'BrunoBB 09/12/2014 05:49'!
newUser: newValue

   "Modify the value of the instance variable 'newUser'."
   newUser := newValue! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 13:20'!
removeRol: anOrbeonFormRole

	anOrbeonFormRole canDelete ifFalse: [^self inform: ('Role can not be deleted' translateFor: self session user)].

	anOrbeonFormRole removeAllUsers.

	^anOrbeonFormRole removeFromCacheIn: anOrbeonFormRole orbeonApplication! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:28'!
removeRoleFromUser: anOrbeonFormRole

	anOrbeonFormRole removeUser: selectedUser! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:25'!
removeUserFromRole: anOrbeonFormUser

	selectedObject removeUser: anOrbeonFormUser! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 09/12/2014 17:37'!
renderAddingUserOn: html

	html div id: 'users-to-add';
		with:[html render: self sewafTableForUsers.].! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 13:21'!
renderAddUserButtonOn: html

	html anchor callback: [self switchAddingUser];
					with: [html image url: (SEWAFFileLibrary / #useradd24iconPng); 
											altText: ('Add User to Rol' translateFor: self session user); 
											title: ('Add User to Rol' translateFor: self session user)].! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 06/08/2015 15:40'!
renderContentOn: html

	self renderNewRoleFormOn: html.

	html div id: 'system-rols'; with:[html render: self sewafTableForRoles.].
	selectedObject ifNil: [^self].
	isAddingUser ifTrue: [^self renderAddingUserOn: html].
	html div id: 'add-user-button'; with: [self renderAddUserButtonOn: html].

	html div id: 'rols-and-users'; with: [
			html div id: 'rols-users';
				with:[html render: self sewafTableUsersWithRol.].
			selectedUser ifNotNil: [
				html div id: 'user-rols';
					with:[html render: self sewafTableRolsOfUser.]]].! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 07/23/2015 13:30'!
renderNewRoleFormOn: html

	html div id: 'top-search-area';
		with: [html form with: [
					html fieldSet with: [
						html legend with: ('Rols' translateFor: self session user).
						html label attributeAt: 'for' put: 'rolename'; with: ('Rol''s Name' translateFor: self session user).
						html textInput attributeAt: 'id' put: 'rolename'; callback: [:value | model name: value].
						html label attributeAt: 'for' put: 'application'; with: ('Application' translateFor: self session user).
						html select 
							attributeAt: 'id' put: 'application';
							list: #(' '), (self session user getVisibleApplicationsOnBackoffice collect: [:each | each app]) asSortedCollection; 
							callback: [:value | selectedApplication := OrbeonApplication applicationNamed: value];
							selected: (selectedApplication ifNotNil: [selectedApplication app] ifNil: ['']).
						html checkbox attributeAt: 'id' put: 'isadmin'; callback: [:value | model isAdmin: value].
						html label attributeAt: 'for' put: 'isadmin'; with: ('Is Admin ?' translateFor: self session user).
						html checkbox attributeAt: 'id' put: 'isbackoffice'; callback: [:value | self isBackoffice: value].
						html label attributeAt: 'for' put: 'isbackoffice'; with: ('Is Backoffice ?' translateFor: self session user).
						html break.
						html submitButton callback: [self searchRoles]; class: 'floatLeft'; with: ('Search' translateFor: self session user).
						html submitButton callback: [self createNewRolIn: selectedApplication]; class: 'floatRight'; with: ('Create Role' translateFor: self session user).]]].! !

!FormProcessRoleComposite methodsFor: 'searching' stamp: 'BrunoBB 12/01/2014 04:21'!
searchByApplication
	| roles |

	searchApplied := true.
	roles := OrbeonProcessRole getRolsInApp: selectedApplication.

	model isAdmin ifTrue: [roles := roles select: [:each | each isAdmin]].
	model isBackofficeRole ifTrue: [roles := roles select: [:each | each isBackofficeRole]].

	^roles! !

!FormProcessRoleComposite methodsFor: 'searching' stamp: 'BrunoBB 12/01/2014 16:38'!
searchByName

	searchApplied := true.
	^self session user getVisibleRoles select: [:each | each name = model name]! !

!FormProcessRoleComposite methodsFor: 'searching' stamp: 'BrunoBB 03/07/2015 05:56'!
searchRoles
	| roles |

	model name notEmpty ifTrue: [^self searchByName].

	selectedApplication ifNotNil: [^self searchByApplication].

	roles :=  searchApplied 
		ifTrue: [self session user getVisibleRoles]
		ifFalse: [searchApplied := true.
				OrderedCollection new].

	model isAdmin ifTrue: [roles := roles select: [:each | each isAdmin]].
	model isBackofficeRole ifTrue: [roles := roles select: [:each | each isBackofficeRole]].

	^roles! !

!FormProcessRoleComposite methodsFor: 'Accessing' stamp: 'BrunoBB 09/16/2014 07:23'!
selectedApplication

   "Return the value of the instance variable 'selectedApplication'."
   ^selectedApplication! !

!FormProcessRoleComposite methodsFor: 'Updating' stamp: 'BrunoBB 09/16/2014 07:23'!
selectedApplication: newValue

   "Modify the value of the instance variable 'selectedApplication'."
   selectedApplication := newValue! !

!FormProcessRoleComposite methodsFor: 'Accessing' stamp: 'BrunoBB 09/12/2014 16:22'!
selectedUser

   "Return the value of the instance variable 'selectedUser'."
   ^selectedUser! !

!FormProcessRoleComposite methodsFor: 'Updating' stamp: 'BrunoBB 09/12/2014 16:22'!
selectedUser: newValue

   "Modify the value of the instance variable 'selectedUser'."
   selectedUser := newValue! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 05/18/2015 14:45'!
sewafTableForRoles

	^(SewafSelectTableReport summary: 'Assigned Roles')
		rows: self searchRoles; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #name title: 'Rol' onClick: [:each | selectedObject := each. selectedUser := nil]);
						add: (SewafReportColumn selector: #printApplicationName title: 'Application');
						add: (SewafReportColumn selector: #isBackofficeRole title: 'Is Backoffice User');
						add: (SewafReportColumn selector: #isAdmin title: 'Is Admin');
						"add: self addCurrentUserButton;"
						add: self newRemoveRolButton;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedObject:  selectedObject;
		yourself! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 13:26'!
sewafTableForUsers
	"Table with all Users that are NOT present in the role <selectedObject> "

	^(SewafBooleanSelectTable parent: self)
		summary: 'Users to Assign';
		buttonLabel: ('Assign and Close' translateFor: self session user);
		booleanSelector: #booleanValueForUser:;
		callbackSelector: #modifyUser:value:;
		rows: (OrbeonFormUser cache reject: [:each | selectedObject includesUser: each]) asArray; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #username title: 'Username');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 12/01/2014 05:32'!
sewafTableRolsOfUser

	^(SewafTableReport summary: 'Users')
		rows: selectedUser roles; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #name title: 'Rol');
						add: self newRemoveRolFromUserButton;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 12/01/2014 05:32'!
sewafTableUsersWithRol

	^(SewafSelectTableReport summary: 'Users')
		rows: selectedObject orbeonFormUsers asArray; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #username title: 'Username' onClick: [:each | selectedUser := each]);
						add: self newRemoveUserFromRolButton;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedColor: 'rgb(235, 172, 95)';
		selectedObject: selectedUser;
		yourself! !

!FormProcessRoleComposite methodsFor: 'other' stamp: 'BrunoBB 09/12/2014 17:32'!
switchAddingUser

	isAddingUser := isAddingUser not! !

SEWAFWebObjectComposite subclass: #FormProcessUserComposite
	instanceVariableNames: 'isAddingRol resetPasswords'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 09/13/2014 13:16'!
booleanValueForRol: anOrbeonFormRole

	^anOrbeonFormRole includesUser: selectedObject! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 10/10/2014 05:55'!
createNewUser

	model addToCache.

	model := OrbeonFormUser new.

	^self answer! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 07/21/2015 15:10'!
initialize

	super initialize.

	isAddingRol := false.
	model := OrbeonFormUser new.
	resetPasswords := Dictionary new.! !

!FormProcessUserComposite methodsFor: 'Accessing' stamp: 'BrunoBB 10/10/2014 05:51'!
isAddingRol

   "Return the value of the instance variable 'isAddingRol'."
   ^isAddingRol! !

!FormProcessUserComposite methodsFor: 'Updating' stamp: 'BrunoBB 10/10/2014 05:51'!
isAddingRol: newValue

   "Modify the value of the instance variable 'isAddingRol'."
   isAddingRol := newValue! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:28'!
modifyRole: rol value: aBoolean

	isAddingRol := false.

	aBoolean ifFalse: [^self].

	^rol addUser: selectedObject! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 12:55'!
newRemoveRolFromUserButton

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				html anchor callback: [self removeRolFromUser: each]; 
								with: [html image url: (SEWAFFileLibrary / #remove24Png); 
														title: ('Remove Role from User' translateFor: self session user); 
														altText: ('Remove Role from User' translateFor: self session user).]] 
				title: 'DEL') sortBlock: nil; 
				cssClass: 'width-6-percent';
			yourself! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 12:55'!
newRemoveUserFromRolButton

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				html anchor callback: [self removeFromRolUsuario: each]; 
								with: [html image url: (SEWAFFileLibrary / #remove24Png); 
														title: ('Remove User from Role' translateFor: self session user); 
														altText: ('Remove User from Role' translateFor: self session user).]] 
				title: 'DEL') sortBlock: nil; 
			yourself! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 10/13/2014 15:42'!
removeRolFromUser: anOrbeonFormRole

	^anOrbeonFormRole removeUser: selectedObject! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 12:57'!
removeUser: anOrbeonFormUser

	anOrbeonFormUser canDelete ifFalse: [^self inform: ('User can not be deleted' translateFor: self session user)].

	^anOrbeonFormUser removeFromCache! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 07/21/2015 14:56'!
removeUserButton

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				html anchor callback: [self removeUser: each]; 
								with: [html image url: (SEWAFIconLibrary / #remove24Png); 
														title: ('Remove User' translateFor: self session user); 
														altText: ('Remove User' translateFor: self session user).]] 
				title: 'DEL') sortBlock: nil; 
				cssClass: 'width-6-percent';
			yourself! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 12/01/2014 05:25'!
renderAddingRolOn: html

	html div id: 'users-to-add-to-role';
		with:[html render: self sewafTableForRols.].! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 12:59'!
renderAddRolButtonOn: html

	html anchor callback: [self switchAddingUser];
					with: [html image url: (SEWAFFileLibrary / #useradd24iconPng); 
											altText: ('Add Role to User' translateFor: self session user); 
											title: ('Add Role to User' translateFor: self session user)].! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 07/23/2015 13:24'!
renderContentOn: html

	html div id: 'top-search-area';
		with: [html form with: [
					html fieldSet with: [
						html legend with: ('Users' translateFor: self session user).
						html label attributeAt: 'for' put: 'username'; with: ('User Name' translateFor: self session user).
						html textInput attributeAt: 'id' put: 'username'; callback: [:value | model username: value].
						html label attributeAt: 'for' put: 'password'; with: ('Password' translateFor: self session user).
						html textInput attributeAt: 'id' put: 'password'; callback: [:value | model password: value].
						html submitButton callback: [self createNewUser]; with: ('Create User' translateFor: self session user).]]].
	html div id: 'users-configuration'; with: [
		html div id: 'system-users';
			with:[html render: self sewafTableForUsers.].
		selectedObject ifNil: [^self].
		isAddingRol ifTrue: [^self renderAddingRolOn: html].
		html div id: 'add-rol-button'; 
			with: [self renderAddRolButtonOn: html].

		html div id: 'users-and-rols'; with: [
				html div id: 'user-rols';
					with:[html render: self sewafTableRolsOfUser.]]].! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 07/21/2015 14:59'!
resetPasswordButton

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				html anchor callback: [self resetPasswordOf: each]; 
								with: [html image url: (SEWAFIconLibrary / #actionseditclear24Png); 
														title: ('Reset Password' translateFor: self session user); 
														altText: ('Reset Password' translateFor: self session user).]] 
				title: 'RP') sortBlock: nil; 
				cssClass: 'width-6-percent';
			yourself! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 07/21/2015 15:13'!
resetPasswordOf: anOrbeonFormUser

	resetPasswords at: anOrbeonFormUser username put: anOrbeonFormUser resetPassword! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 13:04'!
sewafTableForRols
	"Table with all Users that are NOT present in the role <selectedObject> "

	^(SewafBooleanSelectTable parent: self)
		summary: 'Users to Assign';
		buttonLabel: ('Assign and Close' translateFor: self session user);
		booleanSelector: #booleanValueForRol:;
		callbackSelector: #modifyRole:value:;
		rows: (self session user getVisibleRoles difference: selectedObject roles); 
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #name title: 'Role');
						add: (SewafReportColumn selector: #printApplicationName title: 'Application');
						add: (SewafReportColumn selector: #isAdmin title: 'Admin?');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 07/21/2015 15:34'!
sewafTableForUsers
	"Table with all Users that are NOT present in the role <selectedObject> "

	^(SewafSelectTableReport parent: self)
		summary: 'Users to Assign';
		rows: self session user getVisibleUsers; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #username title: 'Username' onClick: [:each | selectedObject := each]);
						add: (SewafReportColumn selector: #isAdmin title: 'Admin?');
						add: (SewafReportColumn selector: #printResetedPassword title: 'Reseted Password');
						add: self resetPasswordButton;
						add: self removeUserButton;
						yourself);
		rowColors: #(white white);
		selectedObject: selectedObject;
		rowPeriod: 1;
		yourself! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:30'!
sewafTableRolsOfUser

	^(SewafTableReport summary: 'Users')
		rows: selectedObject roles; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #name title: 'Role');
						add: (SewafReportColumn selector: #isAdmin title: 'Admin');
						add: (SewafReportColumn selector: #isBackofficeRole title: 'Backoffice');
						add: (SewafReportColumn selector: #printApplicationName title: 'Application');
						add: self newRemoveRolFromUserButton;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:30'!
sewafTableUsersWithRol

	^(SewafSelectTableReport summary: 'Users')
		rows: selectedObject orbeonFormUsers asArray; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #username title: 'Username' onClick: [:each | selectedObject := each]);
						add: (SewafReportColumn selector: #isAdmin title: 'Admin?');
						add: self newRemoveUserFromRolButton;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedColor: 'rgb(235, 172, 95)';
		selectedObject: selectedObject;
		yourself! !

!FormProcessUserComposite methodsFor: 'other' stamp: 'BrunoBB 09/13/2014 13:08'!
switchAddingUser

	isAddingRol := isAddingRol not! !

SEWAFWebObjectComposite subclass: #FormServerConfigurationComposite
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!FormServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 06/21/2015 14:20'!
renderContentOn: html

	html div id: 'server-configuration'; class: 'unique-centered-form unique-centered-form-width38'; with: [
		self session user isBackofficeUserAndAdmin 
		ifTrue: [self renderServerConfigurationFormOn: html]
		ifFalse: [self renderServerConfigurationViewOn: html].
	]! !

!FormServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 13:29'!
renderServerConfigurationFormOn: html

	html form with: [
		html fieldSet with:[
			html legend with: [html strong: ('Servers Configuration' translateFor: self session user)].
					self renderServerConfigurationSettingOn: html.
					].
				].! !

!FormServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 07/23/2015 13:47'!
renderServerConfigurationSettingOn: html

	html label attributeAt: 'for' put: 'databaseIP'; with: ('Database IP' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'databaseIP'; callback: [:value | model databaseIP: value]; with: model databaseIP.
	html label attributeAt: 'for' put: 'databaseUser'; with: ('Database User' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'databaseUser'; callback: [:value | model databaseUser: value]; with: model databaseUser.
	html label attributeAt: 'for' put: 'databasePassword'; with: ('Database Password' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'databasePassword'; callback: [:value | model databasePassword: value]; with: model databasePassword.
	html label attributeAt: 'for' put: 'orbeonIP'; with: ('Orbeon IP' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'orbeonIP'; callback: [:value | model orbeonIP: value]; with: model orbeonIP.
	html label attributeAt: 'for' put: 'gemstoneIP'; with: ('GemStone/S IP' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'gemstoneIP'; callback: [:value | model gemstoneIP: value]; with: model gemstoneIP.
	html submitButton callback: [self savePreferences]; with: ('Save Preferences' translateFor: self session user).! !

!FormServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 03/16/2015 05:44'!
renderServerConfigurationViewOn: html

	html label with: 'Database IP'.
	html textInput callback: [:value | model databaseIP: value]; readonly: true; with: model databaseIP.
	html label with: 'Database User'.
	html textInput callback: [:value | model databaseUser: value]; readonly: true; with: model databaseUser.
	html label with: 'Database Password'.
	html textInput callback: [:value | model databasePassword: value]; readonly: true; with: model databasePassword.
	html label with: 'Orbeon IP'.
	html textInput callback: [:value | model orbeonIP: value]; readonly: true; with: model orbeonIP.
	html label with: 'GemStone/S IP'.
	html textInput callback: [:value | model gemstoneIP: value]; readonly: true; with: model gemstoneIP.! !

!FormServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 03/16/2015 05:53'!
savePreferences! !

SEWAFWebObjectComposite subclass: #FormUserPasswordComposite
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!FormUserPasswordComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 13:45'!
changePassword

	(self session user password = (searchValues at: 'current-pwd')) ifFalse: [^self inform: ('Invalid Current Password' translateFor: self session user)].

	((searchValues at: 'repeat-new-pwd') = (searchValues at: 'new-pwd')) ifFalse: [^self inform: ('New Password and Repeat New Password must be equal' translateFor: self session user)].

	self session user password: (searchValues at: 'new-pwd').! !

!FormUserPasswordComposite methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 13:02'!
renderChangePasswordOn: html

	html div id: 'change-password'; class: 'unique-centered-form unique-centered-form-width38';
		with: [html form with: [
					html fieldSet with:[
						html legend with: [html strong: ('Change Password' translateFor: self session user)].
						html label attributeAt: 'for' put: 'currentPassword'; with: ('Current Password' translateFor: self session user).
						html textInput attributeAt: 'id' put: 'currentPassword'; callback: [:value | searchValues at: 'current-pwd' put: value].
						html label attributeAt: 'for' put: 'newPassword'; with: ('New Password' translateFor: self session user).
						html textInput attributeAt: 'id' put: 'newPassword'; callback: [:value | searchValues at: 'new-pwd' put: value].
						html label attributeAt: 'for' put: 'newPassword2'; with: ('Repeat New Password' translateFor: self session user).
						html textInput attributeAt: 'id' put: 'newPassword2'; callback: [:value | searchValues at: 'repeat-new-pwd' put: value].
						html submitButton callback: [self changePassword]; with: ('Confirm' translateFor: self session user).
					].
				].
		].! !

!FormUserPasswordComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 16:25'!
renderContentOn: html

	self renderChangePasswordOn: html.! !

SEWAFWebObjectComposite subclass: #OrbeonFormsUpdateComposite
	instanceVariableNames: 'selectedApplications selectedDefinitions'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!OrbeonFormsUpdateComposite methodsFor: 'other' stamp: 'BrunoBB 07/22/2015 13:25'!
importNewApplications

	^OrbeonHandler default importNewApplicationsButNoData! !

!OrbeonFormsUpdateComposite methodsFor: 'other' stamp: 'BrunoBB 11/02/2014 11:29'!
initialize

	super initialize.

	selectedApplications := #().
	selectedDefinitions := #().! !

!OrbeonFormsUpdateComposite methodsFor: 'other' stamp: 'BrunoBB 07/23/2015 13:20'!
renderApplicationsListOn: html
	| apps |

	apps := self session user getVisibleApplicationsOnBackoffice.
	html multiSelect 
		attributeAt: 'title' put: ('Orbeon Applications' translateFor: self session user);
		list: (apps collect: [:each | each app]) asSortedCollection;
		size: apps size;
		callback: [:value | self selections: value].! !

!OrbeonFormsUpdateComposite methodsFor: 'other' stamp: 'BrunoBB 06/21/2015 15:22'!
renderContentOn: html

	html div id: 'orbeon-list-application';
		with: [
			html form with: [
				html fieldSet with:[ 
					html div id: 'applications-list'; with: [self renderApplicationsListOn: html].
					html div id: 'forms-operations'; with: [self renderFormOperationsOn: html]].
			]
	].

	html div id: 'orbeon-definitions-list'; class: 'unique-centered-table unique-centered-table-width70';
		with: [self renderFormDefinitionsOn: html].! !

!OrbeonFormsUpdateComposite methodsFor: 'other' stamp: 'BrunoBB 11/09/2014 12:22'!
renderFormDefinitionsOn: html

	selectedDefinitions ifNil: [^self].

	html render: self sewafTableForOrbeonFormDefinitions.! !

!OrbeonFormsUpdateComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 12:50'!
renderFormOperationsOn: html

	html submitButton callback: [self showFormDefinitions]; with: ('Show Form Definitions' translateFor: self session user).
	html submitButton callback: [self importNewApplications]; with: ('Import New Applications' translateFor: self session user).
	html submitButton callback: [self updateSelectedApplications]; with: ('Update Selected Applications' translateFor: self session user).! !

!OrbeonFormsUpdateComposite methodsFor: 'other' stamp: 'BrunoBB 11/02/2014 11:16'!
selections: value

	selectedApplications := value! !

!OrbeonFormsUpdateComposite methodsFor: 'other' stamp: 'BrunoBB 11/09/2014 12:26'!
sewafTableForOrbeonFormDefinitions

	^(SewafTableReport summary: 'Orbeon Form Definitions')
		rows: selectedDefinitions; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #app title: 'Application');
						add: (SewafReportColumn selector: #form title: 'Form');
						add: (SewafReportColumn selector: #version title: 'Version');
						add: (SewafReportColumn selector: #createdTime title: 'Created');
						add: (SewafReportColumn selector: #modifiedTime title: 'Modified');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!OrbeonFormsUpdateComposite methodsFor: 'other' stamp: 'BrunoBB 11/09/2014 12:20'!
showFormDefinitions

	selectedDefinitions := OrderedCollection new.
	selectedApplications do: [:eachApp | | app |
		app := OrbeonApplication applicationNamed: eachApp.
		selectedDefinitions addAll: app getLastDefinitions.
		].! !

!OrbeonFormsUpdateComposite methodsFor: 'other' stamp: 'BrunoBB 07/22/2015 13:29'!
updateSelectedApplications
	| appToUpdate |

	appToUpdate := ((selectedApplications collect: [:each | OrbeonApplication applicationNamed: each ifNone: [nil]])
							select: [:each | each notNil]).

	appToUpdate do: [:eachApp | OrbeonHandler default updateApplicationButNotDataOf: eachApp].

	^self! !

SEWAFWebObjectComposite subclass: #WABizagiImporterBrowser
	instanceVariableNames: 'orbeonApplications orbeonApplication upload processNode reader numberOfProcess uploadForms selectedUploads processesNames fileFormats invalidFormatError'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 06/07/2015 14:14'!
addNewProcessForm

	numberOfProcess := numberOfProcess + 1.! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 06/22/2015 13:22'!
checkFilesFormatOf: pathFileArray

	pathFileArray do: [:eachPathFile | | file contents |
		file := FileStream fileNamed: eachPathFile.
		contents := file contents.
		file close.
		[XMLDOMParser parse: contents] 
			on: Error 
			do: [:err | fileFormats at: (eachPathFile subStrings: '/') last put: err description.]].

	^fileFormats isEmpty! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 06/07/2015 14:14'!
getOrbeonApplication

	^OrbeonApplication applicationNamed: orbeonApplication ifNone: [OrbeonApplication new app: orbeonApplication]! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 10/01/2015 14:52'!
importBizagiFiles
	| appDictionary processesChain fileArray warnings |

	appDictionary := Dictionary new.
	fileArray := OrderedCollection new.

	1 to: numberOfProcess do: [:index | | fileName shortName |
		fileName := selectedUploads at: index.
		shortName := fileName allButLast: (FileDirectory extensionFor: fileName) size + 1.
		appDictionary at: shortName put: (uploadForms at: index).
		fileArray add: ((FileDirectory default directoryNamed: 'tmp') pathName, '/', fileName)].

	(self checkFilesFormatOf: fileArray) ifFalse: [^self].
	"ERROR handler"
	[processesChain := XPDLProcessChain from: fileArray asArray in: appDictionary names: processesNames]
		on: Exception do: [:err | ^invalidFormatError := err description].


	warnings := processesChain getWarningsFor: uploadForms files: selectedUploads.

	warnings isEmpty ifTrue: [^processesChain addDefnitionsToCache]. "no error were found"

	self show: ((WABizagiImportReport parent: self)
						warnings: warnings;
						yourself).! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 06/22/2015 05:26'!
initialize

	super initialize.

	numberOfProcess := 1.
	uploadForms := Dictionary new.
	selectedUploads := Dictionary new.
	processesNames := Dictionary new.
	fileFormats := Dictionary new. "to check if files are well formated"! !

!WABizagiImporterBrowser methodsFor: 'Accessing' stamp: 'BrunoBB 06/07/2015 14:11'!
numberOfProcess
	^numberOfProcess! !

!WABizagiImporterBrowser methodsFor: 'Updating' stamp: 'BrunoBB 06/07/2015 14:11'!
numberOfProcess: newValue
	numberOfProcess := newValue! !

!WABizagiImporterBrowser methodsFor: 'Accessing' stamp: 'BrunoBB 06/07/2015 14:11'!
orbeonApplication
	^orbeonApplication! !

!WABizagiImporterBrowser methodsFor: 'Updating' stamp: 'BrunoBB 06/07/2015 14:11'!
orbeonApplication: newValue
	orbeonApplication := newValue! !

!WABizagiImporterBrowser methodsFor: 'Accessing' stamp: 'BrunoBB 06/07/2015 14:11'!
orbeonApplications
	^orbeonApplications! !

!WABizagiImporterBrowser methodsFor: 'Updating' stamp: 'BrunoBB 06/07/2015 14:11'!
orbeonApplications: newValue
	orbeonApplications := newValue! !

!WABizagiImporterBrowser methodsFor: 'Accessing' stamp: 'BrunoBB 06/07/2015 14:11'!
processesNames
	^processesNames! !

!WABizagiImporterBrowser methodsFor: 'Updating' stamp: 'BrunoBB 06/07/2015 14:11'!
processesNames: newValue
	processesNames := newValue! !

!WABizagiImporterBrowser methodsFor: 'Accessing' stamp: 'BrunoBB 06/07/2015 14:11'!
processNode
	^processNode! !

!WABizagiImporterBrowser methodsFor: 'Updating' stamp: 'BrunoBB 06/07/2015 14:11'!
processNode: newValue
	processNode := newValue! !

!WABizagiImporterBrowser methodsFor: 'Accessing' stamp: 'BrunoBB 06/07/2015 14:11'!
reader
	^reader! !

!WABizagiImporterBrowser methodsFor: 'Updating' stamp: 'BrunoBB 06/07/2015 14:11'!
reader: newValue
	reader := newValue! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 06/07/2015 14:13'!
receiveFile: aFile index: index
    | stream |

    stream := (FileDirectory default directoryNamed: 'tmp')
        assureExistence;
        forceNewFileNamed: aFile fileName.
    [ stream binary; nextPutAll: aFile rawContents ] 
        ensure: [ stream close ].

	selectedUploads at: index put: aFile fileName.! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 06/13/2015 09:48'!
removeImportProcessForm

	uploadForms removeKey: numberOfProcess ifAbsent: [].
	selectedUploads removeKey: numberOfProcess ifAbsent: [].
	processesNames removeKey: numberOfProcess ifAbsent: [].

	numberOfProcess := numberOfProcess  - 1! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 11:51'!
renderAddNewImportFormButtonOn: html

	html anchor callback: [self addNewProcessForm];
					with: [html image url: (SEWAFIconLibrary / #textplusiconPng); 
								altText: ('Add New Import Process Form' translateFor: self session user); 
								title: ('Add New Import Process Form' translateFor: self session user)].! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 06/13/2015 10:04'!
renderContentOn: html

	html div id: 'import-forms'; with: [
		1 to: numberOfProcess do: [:index |
			self renderProcessUploadOn: html index: index].

		html div id: 'add-new-import-form';
			with: [html div id: 'add-new-form-button'; with: [self renderAddNewImportFormButtonOn: html].
					html div id: 'remove-new-form-button'; with: [self renderRemoveImportFormButtonOn: html].
					self renderImportAllButtonOn: html].

	]! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 11:53'!
renderImportAllButtonOn: html
	| cssClass |

	cssClass := (numberOfProcess = 1) ifTrue: ['import-all-button-1'] ifFalse: ['import-all-button-2'].

	html div class: cssClass; with: [
		(selectedUploads size = numberOfProcess) ifFalse: [^self].
					html anchor callback: [self importBizagiFiles];
						with: [html image url: (SEWAFFileLibrary / #actionsdocumentsaveasiconPng); 
								altText: ('Import All Files' translateFor: self session user); 
								title: ('Import All Files' translateFor: self session user)].
	]! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 07/23/2015 12:24'!
renderProcessUploadOn: html index: index

	html div class: 'unique-centered-form unique-centered-form-width38';
		with: [
				html form multipart; with: [
					html fieldSet with:[
						html legend with: [html strong: ('XPDL Upload Form' translateFor: self session user)].
						html label attributeAt: 'for' put: 'orbeonApp'; with: ('Orbeon Application' translateFor: self session user).
						html select list: (#('-'), (orbeonApplications collect: [:each | each app])) asSortedCollection; 
							attributeAt: 'id' put: 'orbeonApp';
							title: ('Available Form Applications' translateFor: self session user);
							onChange: 'submit()';
							callback: [:value | uploadForms at: index put: value ];
							selected: (uploadForms at: index ifAbsent: [nil]).
							html label attributeAt: 'for' put: 'processName'; with: ('Process Name' translateFor: self session user).
							html textInput attributeAt: 'id' put: 'processName';
								callback: [:value | processesNames at: index put: value];
								with: (processesNames at: index ifAbsent: ['']).
						self renderUploadComponentOn: html index: index]]].! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 11:56'!
renderRemoveImportFormButtonOn: html

	"at least one import form has to be rendered"
	(numberOfProcess > 1) ifFalse: [^self]. 

	html anchor callback: [self removeImportProcessForm];
					with: [html image url: (SEWAFIconLibrary / #delete132Png); 
								altText: ('Remove Import Process Form' translateFor: self session user); 
								title: ('Remove Import Process Form' translateFor: self session user)].! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 07/23/2015 12:29'!
renderUploadComponentOn: html index: index

	html label attributeAt: 'for' put: 'selectFile'; with: ('Select File' translateFor: self session user).
	html fileUpload attributeAt: 'id' put: 'selectFile'; 
		callback: [ :value | self receiveFile: value index: index].

	html break.

	((index ~= 1) and: [(selectedUploads includesKey: index - 1) not]) ifTrue: [^self]. "the previous file was NOT uploaded"

	(selectedUploads includesKey: index)
	ifFalse: [html submitButton: ('Send File [' translateFor: self session user), index printString, ']']
	ifTrue:[html strong with: [html paragraph with: (selectedUploads at: index)].
			(fileFormats includesKey: (selectedUploads at: index)) "file format error"
			ifTrue: [html paragraph class: 'error-text';
				with: (fileFormats at: (selectedUploads at: index))].
			invalidFormatError notNil ifTrue: [html paragraph class: 'error-text'; with: invalidFormatError].
	].! !

!WABizagiImporterBrowser methodsFor: 'Accessing' stamp: 'BrunoBB 06/07/2015 14:11'!
selectedUploads
	^selectedUploads! !

!WABizagiImporterBrowser methodsFor: 'Updating' stamp: 'BrunoBB 06/07/2015 14:11'!
selectedUploads: newValue
	selectedUploads := newValue! !

!WABizagiImporterBrowser methodsFor: 'other' stamp: 'BrunoBB 06/07/2015 14:13'!
sewafImportReportTable: anOrderedCollection

	^(SewafTableReport summary: 'XPDL Import Report')
		rows: anOrderedCollection; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #type title: 'Type');
						add: (SewafReportColumn selector: #title title: 'Title');
						add: (SewafReportColumn selector: #description title: 'Description');
						yourself);
		rowColors: #(white lightgray);
		rowPeriod: 1;
		yourself! !

!WABizagiImporterBrowser methodsFor: 'Accessing' stamp: 'BrunoBB 06/07/2015 14:11'!
upload
	^upload! !

!WABizagiImporterBrowser methodsFor: 'Updating' stamp: 'BrunoBB 06/07/2015 14:11'!
upload: newValue
	upload := newValue! !

!WABizagiImporterBrowser methodsFor: 'Accessing' stamp: 'BrunoBB 06/07/2015 14:11'!
uploadForms
	^uploadForms! !

!WABizagiImporterBrowser methodsFor: 'Updating' stamp: 'BrunoBB 06/07/2015 14:11'!
uploadForms: newValue
	uploadForms := newValue! !

SEWAFWebObjectComposite subclass: #WAInternationalizationManager
	instanceVariableNames: 'stringKey translatedString newLanguageName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!WAInternationalizationManager methodsFor: 'other' stamp: 'BrunoBB 06/23/2015 14:13'!
currentDictionaryName

	^searchValues at: 'selected-language' ifAbsent: ['']! !

!WAInternationalizationManager methodsFor: 'Accessing' stamp: 'BrunoBB 06/23/2015 14:19'!
newLanguageName
	^newLanguageName! !

!WAInternationalizationManager methodsFor: 'Updating' stamp: 'BrunoBB 06/23/2015 14:19'!
newLanguageName: newValue
	newLanguageName := newValue! !

!WAInternationalizationManager methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 13:14'!
renderAddNewTranslationOn: html

	html form with: [
		html fieldSet with:[
			html legend with: [html strong: ('Add Translation' translateFor: self session user)].
				html label attributeAt: 'for' put: 'txtToTranslate'; with: ('Text to Translate' translateFor: self session user).
				html textInput attributeAt: 'id' put: 'txtToTranslate'; callback: [:value | stringKey := value]; with: stringKey.
				html label attributeAt: 'for' put: 'translation'; with: ('Translation' translateFor: self session user).
				html textInput attributeAt: 'id' put: 'translation'; callback: [:value | translatedString := value]; with: translatedString.
				html submitButton callback: [self saveTranslation]; with: ('Save Translation' translateFor: self session user).
					].
				].
	html horizontalRule.! !

!WAInternationalizationManager methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 13:07'!
renderContentOn: html

	html div id: 'internationalization'; with: [
		html horizontalRule.
		html form with: [ 
			html fieldSet with: [
			html legend with: [html strong: ('Languages' translateFor: self session user)].
					html label attributeAt: 'for' put: 'language'; with: ('Languages' translateFor: self session user).
					html select attributeAt: 'id' put: 'language'; class: '';
						list: (#(''), OrbeonInternationalization default currentDictionaries);
						onChange: 'submit()';
						callback: [:value | searchValues at: 'selected-language' put: value];
						selected: self currentDictionaryName.
					html label attributeAt: 'for' put: 'newLanguage'; with: ('New Language' translateFor: self session user).
					html textInput attributeAt: 'id' put: 'newLanguage'; callback: [:value | newLanguageName := value]; with: newLanguageName.
					html submitButton 
						callback: [self saveLanguage]; 
						with: ('Save Language' translateFor: self session user).
				].
			].
		html horizontalRule.
		self renderCurrentDictionaryTranslationsOn: html.].! !

!WAInternationalizationManager methodsFor: 'other' stamp: 'BrunoBB 06/25/2015 12:37'!
renderCurrentDictionaryTranslationsOn: html
	| currentDictionary |

	searchValues at: 'selected-language' ifAbsent: [^self].

	self renderAddNewTranslationOn: html.

	currentDictionary := OrbeonInternationalization default getTranslationsOf: (searchValues at: 'selected-language').

	html div id: 'inter-current-dictionary'; with: [
		currentDictionary keys asSortedCollection do: [:key | 
			html output: key, ' | '.
			html span: (currentDictionary at: key).
			html break.
		].
	].! !

!WAInternationalizationManager methodsFor: 'other' stamp: 'BrunoBB 06/23/2015 14:21'!
saveLanguage

	OrbeonInternationalization default addLanguage: newLanguageName trimBlanks asSymbol! !

!WAInternationalizationManager methodsFor: 'other' stamp: 'BrunoBB 06/23/2015 14:15'!
saveTranslation

	OrbeonInternationalization default 
		translate: stringKey 
		as: translatedString 
		for: self currentDictionaryName! !

!WAInternationalizationManager methodsFor: 'Accessing' stamp: 'BrunoBB 06/23/2015 14:12'!
stringKey
	^stringKey! !

!WAInternationalizationManager methodsFor: 'Updating' stamp: 'BrunoBB 06/23/2015 14:12'!
stringKey: newValue
	stringKey := newValue! !

!WAInternationalizationManager methodsFor: 'Accessing' stamp: 'BrunoBB 06/23/2015 14:12'!
translatedString
	^translatedString! !

!WAInternationalizationManager methodsFor: 'Updating' stamp: 'BrunoBB 06/23/2015 14:12'!
translatedString: newValue
	translatedString := newValue! !

SEWAFWebObjectComposite subclass: #WAManageFormProcessCategory
	instanceVariableNames: 'selectedCategory'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!WAManageFormProcessCategory methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 14:45'!
categoryColorColumn

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				html colorInput 
					attributeAt: 'title' put: ('Color' translateFor: self session user);
					value: each color.] 
			title: ('Color' translateFor: self session user)) sortBlock: nil; 
			yourself! !

!WAManageFormProcessCategory methodsFor: 'other' stamp: 'BrunoBB 10/09/2014 17:41'!
createNewCategory

	^model addToCacheIn: self session user username! !

!WAManageFormProcessCategory methodsFor: 'other' stamp: 'BrunoBB 07/02/2015 13:47'!
getAllUserCategories

	^ProcessDefinitionUserCategory getCategoriesFor: self session user! !

!WAManageFormProcessCategory methodsFor: 'other' stamp: 'BrunoBB 10/09/2014 17:36'!
initialize

	super initialize.

	model := ProcessDefinitionUserCategory new.! !

!WAManageFormProcessCategory methodsFor: 'other' stamp: 'BrunoBB 10/09/2014 17:37'!
modifyCategory

	selectedCategory removeFromCacheIn: self session user username.

	selectedCategory name: (self componentValueAt: 'name').
	selectedCategory color: (self componentValueAt: 'color').

	selectedCategory addToCacheIn: self session user username.! !

!WAManageFormProcessCategory methodsFor: 'other' stamp: 'BrunoBB 07/05/2015 13:11'!
removeCategory

	selectedCategory removeFromCacheIn: self session user username.

	selectedCategory := nil! !

!WAManageFormProcessCategory methodsFor: 'other' stamp: 'BrunoBB 07/23/2015 13:06'!
renderCategoryFormOn: html

	html form with: [
		html fieldSet with: [
			selectedCategory 
				ifNil: [
					html legend with: ('New Category' translateFor: self session user).
					html label attributeAt: 'for' put: 'name'; with: ('Name' translateFor: self session user).
					html textInput attributeAt: 'id' put: 'name'; callback: [:value | model name: value].
					html label attributeAt: 'for' put: 'color'; with: ('Color' translateFor: self session user).
					html colorInput attributeAt: 'id' put: 'color'; callback: [:value | model color: value].
					html submitButton callback: [self createNewCategory]; with: ('Create Category' translateFor: self session user).]
				ifNotNil: [
					html legend with: ('Selected Category' translateFor: self session user).
					html label attributeAt: 'for' put: 'name'; with: ('Name' translateFor: self session user).
					html textInput attributeAt: 'id' put: 'name';
						value: selectedCategory name;
						callback: [:value | self addValue: value named: 'name'].
					html label attributeAt: 'for' put: 'color'; with: ('Color' translateFor: self session user).
					html colorInput attributeAt: 'id' put: 'color';
						value: selectedCategory color; 
						callback: [:value | self addValue: value named: 'color'].
					html submitButton callback: [self modifyCategory]; with: ('Modify Category' translateFor: self session user).
					html submitButton callback: [self removeCategory]; with: ('Remove Category' translateFor: self session user).].].
			
			]! !

!WAManageFormProcessCategory methodsFor: 'other' stamp: 'BrunoBB 07/01/2015 12:58'!
renderContentOn: html

	html div id: 'top-search-area'; with: [self renderCategoryFormOn: html].

	html div class: 'unique-centered-table unique-centered-table-width30'; "id: 'user-categories';"
		with:[html render: self sewafTableForUserCategories.].! !

!WAManageFormProcessCategory methodsFor: 'Accessing' stamp: 'BrunoBB 10/07/2014 06:12'!
selectedCategory

   "Return the value of the instance variable 'selectedCategory'."
   ^selectedCategory! !

!WAManageFormProcessCategory methodsFor: 'Updating' stamp: 'BrunoBB 10/07/2014 06:12'!
selectedCategory: newValue

   "Modify the value of the instance variable 'selectedCategory'."
   selectedCategory := newValue! !

!WAManageFormProcessCategory methodsFor: 'other' stamp: 'BrunoBB 07/23/2015 13:04'!
sewafTableForUserCategories

	^(SewafSelectTableReport summary: 'User Process Definition Categories')
		rows: self getAllUserCategories; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #name title: ('Category Name' translateFor: self session user) onClick: 
						[:each | (selectedCategory == each) ifTrue: [selectedCategory := nil] ifFalse: [selectedCategory := each]]);
						add: self categoryColorColumn;
						yourself);
		selectedObject: selectedCategory;
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

SEWAFWebObjectComposite subclass: #WAOrbeonProcessesRadar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!WAOrbeonProcessesRadar methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 17:04'!
radarForProcesses

	childPanel ifNotNil: [childPanel answer: true].

	childPanel := WAOrbeonRadarProcessComposite parent: self.

	selectedToolBarOption := 'processes-radar'.
"	childPanel title: 'Define New Process'."! !

!WAOrbeonProcessesRadar methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 17:04'!
radarForUsers

	childPanel ifNotNil: [childPanel answer: true].

	childPanel := WAOrbeonRadarUserComposite parent: self.

	selectedToolBarOption := 'users-radar'.
"	childPanel title: 'Define New Process'."! !

!WAOrbeonProcessesRadar methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 16:41'!
renderContentOn: html

	html div id: 'assignments-title'; with: [html heading: title].

	html div id: 'lateral-radar-menu'; class: 'top-toolbar-menu'; with: [
		self renderRadarForUsersOn: html.
		self renderRadarForProcessesOn: html.].

	childPanel ifNil: [^self].

	html div id: 'radar-component-area'; with: [html render: childPanel].! !

!WAOrbeonProcessesRadar methodsFor: 'other' stamp: 'BrunoBB 11/14/2014 15:29'!
renderRadarForAssigmentsOn: html

	html anchor callback: [self radarForAssignments]; 
					class: 'marginLeft5px';
					with: [html image url: (SEWAFFileLibrary / #statusmailtaskiconPng); 
												"class: imgClass; "
												title: 'Radar for Assignments';
												altText: 'Radar for Assignments'].! !

!WAOrbeonProcessesRadar methodsFor: 'other' stamp: 'BrunoBB 11/21/2014 13:55'!
renderRadarForProcessesOn: html
	| imgClass |

	imgClass  := (selectedToolBarOption = 'processes-radar') ifTrue: ['top-toolbar-menu-selected-item'] ifFalse: [nil].

	html anchor callback: [self radarForProcesses]; 
					class: 'marginLeft5px';
					with: [html image url: (SEWAFFileLibrary / #flowcharticonPng); 
												class: imgClass; 
												title: 'Radar for Processes';
												altText: 'Radar for Processes'].! !

!WAOrbeonProcessesRadar methodsFor: 'other' stamp: 'BrunoBB 11/14/2014 15:18'!
renderRadarForRolesOn: html

	html anchor callback: [self radarForRoles]; 
					class: 'marginLeft5px';
					with: [html image url: (SEWAFFileLibrary / #groupsrescuersdarkiconPng); 
												"class: imgClass; "
												title: 'Radar for Roles';
												altText: 'Radar for Roles'].! !

!WAOrbeonProcessesRadar methodsFor: 'other' stamp: 'BrunoBB 11/21/2014 13:54'!
renderRadarForUsersOn: html
	| imgClass |

	imgClass  := (selectedToolBarOption = 'users-radar') ifTrue: ['top-toolbar-menu-selected-item'] ifFalse: [nil].

	html anchor callback: [self radarForUsers]; 
					class: 'marginLeft5px';
					with: [html image url: (SEWAFFileLibrary / #officecustomermaledarkiconPng); 
												class: imgClass; 
												title: 'Radar for Users';
												altText: 'Radar for Users'].! !

SEWAFWebObjectComposite subclass: #WAOrbeonRadarComposite
	instanceVariableNames: 'searchCollectionResult selectedObject'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!WAOrbeonRadarComposite methodsFor: 'free transitions' stamp: 'BrunoBB 11/18/2014 15:56'!
getFreeTransitions

	^OrbeonFormProcessDefinition getFreeTransitionsFor: selectedObject! !

!WAOrbeonRadarComposite methodsFor: 'free transitions' stamp: 'BrunoBB 11/18/2014 15:56'!
getProcessWithFreeTransitions

	^self getFreeTransitions keys asArray! !

!WAOrbeonRadarComposite methodsFor: 'other' stamp: 'BrunoBB 11/21/2014 09:33'!
initialize

	super initialize.

	searchCollectionResult := OrderedCollection new.! !

!WAOrbeonRadarComposite methodsFor: 'Accessing' stamp: 'BrunoBB 11/20/2014 05:30'!
searchCollectionResult

   "Return the value of the instance variable 'searchCollectionResult'."
   ^searchCollectionResult! !

!WAOrbeonRadarComposite methodsFor: 'Updating' stamp: 'BrunoBB 11/20/2014 05:30'!
searchCollectionResult: newValue

   "Modify the value of the instance variable 'searchCollectionResult'."
   searchCollectionResult := newValue! !

WAOrbeonRadarComposite subclass: #WAOrbeonRadarProcessComposite
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:11'!
createFilledFormsColumn

	^(SewafReportColumn selector: #printFormNames title: ('Filled Forms' translateFor: self session user))
		cssClass: 'max-width-td';
		yourself! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:11'!
getFormDefinitions

	^#(''), (self selectedApplication getLastDefinitions collect: [:each | each form]) asArray! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:11'!
getFormFields
	| def |

	self hasFormDefinition ifFalse: [^OrderedCollection new].
	def := self selectedFormDefinition.
	^def ifNil: [OrderedCollection new] ifNotNil: [def getFieldsNames asSortedCollection]! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:11'!
getProcessesDefinition

	^OrbeonFormProcessDefinition getAllLatestVersions! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:11'!
getSelectedApplication

	^(searchValues includesKey: 'application')
		ifTrue: [searchValues at: 'application'] 
		ifFalse: [nil].! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:11'!
getSelectedFormDefinition

	^(searchValues includesKey: 'form-definition')
		ifTrue: [searchValues at: 'form-definition'] 
		ifFalse: [nil].! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:12'!
getSelectedFormField

	^(searchValues includesKey: 'form-field')
		ifTrue: [searchValues at: 'form-field'] 
		ifFalse: [nil].! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:12'!
getSelectedFormFieldValue

	^(searchValues includesKey: 'field-value')
		ifTrue: [searchValues at: 'field-value'] 
		ifFalse: [nil].! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:12'!
getSelectedFormFieldValue2

	^(searchValues includesKey: 'field-value-2')
		ifTrue: [searchValues at: 'field-value-2'] 
		ifFalse: [nil].! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:12'!
hasFormDefinition

	^(searchValues includesKey: 'form-definition') and: [(searchValues at: 'form-definition') notEmpty]! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:12'!
hasFormField

	^(searchValues includesKey: 'form-field') and: [(searchValues at: 'form-field') notEmpty]! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:13'!
hasProcessId

	^(searchValues includesKey: 'id') and: [(searchValues at: 'id') notEmpty]! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:13'!
hasSelectedApplication

	^(searchValues includesKey: 'application') and: [(searchValues at: 'application') notEmpty]! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:13'!
initialize

	super initialize.

	searchCollectionResult := OrderedCollection new.! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:13'!
onApplicationChanged: appName

	searchValues 
		removeKey: 'form-definition' ifAbsent: [];
		removeKey: 'form-field' ifAbsent: [];
		at: 'application' put: appName.! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:13'!
onCheckboxFinishedChanged: aBoolean

	searchValues at: 'filter-finished' put: aBoolean! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:13'!
onFormDefinitionChanged: definitionName

	searchValues at: 'form-definition' put: definitionName! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:13'!
onFormFieldChanged: fieldName

	searchValues at: 'form-field'  put: fieldName.! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:13'!
onProcessIdChanged: value

	searchValues at: 'id' put: value! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 14:21'!
renderApplicationComboOn: html

	html label attributeAt: 'for' put: 'application'; with: ('Application' translateFor: self session user).
	html select "Process Definition List"
		attributeAt: 'id' put: 'application'; 
		list: (#(''), (self session user getVisibleApplicationsOnBackoffice collect: [:each | each app])) asSortedCollection;
		onChange: 'submit()';
		callback: [:value | self onApplicationChanged: value];
		selected: (searchValues at: 'application' ifAbsent: ['']).! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:16'!
renderContentOn: html

	html div id: 'top-search-area'; with: [self renderSearchOptionsOn: html].

	html div id: 'process-instances'; class: 'unique-centered-table unique-centered-table-width70';
		with:[html render: self sewafTableForRunningFormProcesses.].

	searchCollectionResult isEmpty ifTrue: [^self].
	selectedObject ifNil: [^self].

	html div id: 'process-assignments'; class: 'unique-centered-table unique-centered-table-width70';
		with:[html render: self sewafTableForProcessAssignments.].! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:16'!
renderFilterValuesAndButtonOn: html
	| app formDef fieldType |

	app := OrbeonApplication applicationNamed: (searchValues at: 'application').
	formDef := app definitionNamed: (searchValues at: 'form-definition').
	formDef ifNil: [^self].
	fieldType := formDef typeOf: (searchValues at: 'form-field').

	(#('xf:boolean' 'xf:string' ) includes: fieldType) ifTrue: [^self renderOneFilterOn: html].

	^self renderTwoFitersOn: html! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 14:18'!
renderFormDefinitionComboOn: html

	html label attributeAt: 'for' put: 'formDefinitions';
		with: ('Form Definition' translateFor: self session user).

	html select attributeAt: 'id' put: 'formDefinitions'; "Process Definition List"
		list: self getFormDefinitions;
		onChange: 'submit()';
		callback: [:value | self onFormDefinitionChanged: value];
		selected: (searchValues at: 'form-definition' ifAbsent: [' ']).

	html break.

	self renderFormFieldsComboOn: html. "render fields of the selected form definition"! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 14:19'!
renderFormFieldsComboOn: html
	| app formDef fieldType |

	html label 
		attributeAt: 'for' put: 'formFields'; 
		class: 'search-section-float-left'; with: ('Form Fields' translateFor: self session user).
	html select attributeAt: 'id' put: 'formFields';
		class: 'search-section-float-left';"Process Definition List"
		list: (#(''), self getFormFields) asSortedCollection;
		onChange: 'submit()';
		callback: [:value | self onFormFieldChanged: value];
		selected: (searchValues at: 'form-field' ifAbsent: ['']).

	self hasFormField
	ifTrue: [self renderFilterValuesAndButtonOn: html]
	ifFalse: [self renderSubmitButtonOn: html]! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 14:24'!
renderOneFilterOn: html

	html submitButton 
		class: 'search-section-float search-section-width-100';
		callback: [self searchMatchingProcesses]; 
		with: ('Search' translateFor: self session user).

	html label attributeAt: 'for' put: 'filterOne';
		class: 'search-section-float'; with: ('Field Value' translateFor: self session user).

	html textInput attributeAt: 'id' put: 'filterOne';
		class: 'search-section-float search-section-width-200';
		callback: [:value | searchValues at: 'field-value' put: value].! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 14:17'!
renderSearchOptionsOn: html

	html form with: [ 
		html fieldSet with: [
			html legend with: ('Search Options' translateFor: self session user).
			html label attributeAt: 'for' put: 'id'; with: ('Id' translateFor: self session user).
			html textInput attributeAt: 'id' put: 'id';
				callback: [:value | self onProcessIdChanged: value];
				with: (searchValues at: 'id' ifAbsent: ['']).
			html label: [ 
				html checkbox
					value: (searchValues at: 'filter-finished' ifAbsent: [false]);
					callback: [ :value | self onCheckboxFinishedChanged: value ].
				html text: ('Filter Finished' translateFor: self session user).].
			self renderApplicationComboOn: html.
			self hasSelectedApplication 
			ifTrue: [self renderFormDefinitionComboOn: html.]
			ifFalse: [self renderSubmitButtonOn: html].
		].
	].! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:16'!
renderSubmitButtonOn: html

	html submitButton class: 'search-section-float search-section-width-100';
						callback: [self searchProcessId]; with: ('Search' translateFor: self session user).! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 14:24'!
renderTwoFitersOn: html

	html submitButton class: 'search-section-float search-section-width-100';
						callback: [self searchMatchingProcessesRange]; with: ('Search' translateFor: self session user).

	html label attributeAt: 'for' put: 'filterOne';
		class: 'search-section-float'; with: ('End' translateFor: self session user).

	html textInput attributeAt: 'id' put: 'filterOne';
		class: 'search-section-float search-section-width-200';
		callback: [:value | searchValues at: 'field-value-2' put: value].

	html label attributeAt: 'for' put: 'filterTwo';
		class: 'search-section-float'; with: ('Start' translateFor: self session user).

	html textInput attributeAt: 'id' put: 'filterTwo';
		class: 'search-section-float search-section-width-200';
		callback: [:value | searchValues at: 'field-value' put: value].! !

!WAOrbeonRadarProcessComposite methodsFor: 'searching' stamp: ''!
searchByApplication
	| procs app |

	selectedObject := nil.
	self hasSelectedApplication ifFalse: [^self].
	self hasFormDefinition ifTrue: [^self searchByApplicationAndFormDefinition].

	app := searchValues at: 'application'.

	app notEmpty ifTrue: [searchCollectionResult := OrbeonFormProcessDefinition getProcessInstancesOf: app.].

	searchValues 
		removeKey: 'form-definition' ifAbsent: [];
		removeKey: 'form-field' ifAbsent: [].! !

!WAOrbeonRadarProcessComposite methodsFor: 'searching' stamp: 'BrunoBB 11/30/2014 14:47'!
searchByApplicationAndFormDefinition

	 searchCollectionResult := OrbeonFormProcessDefinition getProcessInstancesOf: self getSelectedApplication ofFormNamed: self getSelectedFormDefinition! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:17'!
searchMatchingProcesses
	| processes |

	selectedObject := nil.
	self hasProcessId ifTrue: [^self searchProcessId].

	(self hasSelectedApplication and:[self hasFormDefinition not]) 
	ifTrue: [^self searchByApplication].

	(self hasSelectedApplication and:[self hasFormDefinition and:[self hasFormField not]])
	ifTrue: [^self searchByApplicationAndFormDefinition].

	processes := OrbeonFormProcessDefinition getProcessInstancesOf: self getSelectedApplication ofFormNamed: self getSelectedFormDefinition.

	searchCollectionResult := processes select: [:each | 
		each hasFormDefinitionNamed: self getSelectedFormDefinition 
				withFieldName: self getSelectedFormField 
				withValue: self getSelectedFormFieldValue].! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:17'!
searchMatchingProcessesRange
	| processes |

	selectedObject := nil.
	self hasProcessId ifTrue: [^self searchProcessId].

	(self hasSelectedApplication and:[self hasFormDefinition not]) 
	ifTrue: [^self searchByApplication].

	(self hasSelectedApplication and:[self hasFormDefinition and:[self hasFormField not]])
	ifTrue: [^self searchByApplicationAndFormDefinition].

	processes := OrbeonFormProcessDefinition getProcessInstancesOf: self getSelectedApplication ofFormNamed: self getSelectedFormDefinition.

	searchCollectionResult := processes select: [:each | 
		each hasFormDefinitionNamed: self getSelectedFormDefinition 
				withFieldName: self getSelectedFormField 
				initValue: self getSelectedFormFieldValue 
				endValue: self getSelectedFormFieldValue2].! !

!WAOrbeonRadarProcessComposite methodsFor: 'searching' stamp: 'BrunoBB 12/01/2014 15:16'!
searchProcessId
	| proc id |

	selectedObject := nil.
	self hasProcessId ifFalse: [^self hasSelectedApplication ifTrue:[self searchByApplication] ifFalse:[self]].

	id := [Integer fromString: (searchValues at: 'id')] on: Error do: [:err | 0].

	proc := OrbeonFormProcessDefinition getProcessInstance: id ifNone: [^nil].

	searchCollectionResult := OrderedCollection with: proc.

	searchValues 
		removeKey: 'form-definition' ifAbsent: [];
		removeKey: 'form-field' ifAbsent: [];
		removeKey: 'application' ifAbsent: [].! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:17'!
selectedApplication

	^OrbeonApplication 
			applicationNamed: (searchValues at: 'application') 
			ifNone: [OrbeonApplication new]! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:17'!
selectedFormDefinition

	^self selectedApplication definitionNamed: (searchValues at: 'form-definition')! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:17'!
sewafTableForProcessAssignments

	^(SewafSelectTableReport parent: self)
		summary: 'Process Assignments';
		rows: selectedObject assignments; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #creationDate title: 'Creation Date');
						add: (SewafReportColumn selector: #assignmentDate title: 'Assigned Date');
						add: (SewafReportColumn selector: #creatorName title: 'Created By');
						add: self createFilledFormsColumn;
						yourself);
		rowColors: #(white white);
		selectedObject: selectedObject;
		rowPeriod: 1;
		yourself! !

!WAOrbeonRadarProcessComposite methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 15:17'!
sewafTableForRunningFormProcesses

	^(SewafSelectTableReport parent: self)
		summary: 'Radar for Processes';
		rows: searchCollectionResult; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #applicationName title: 'Application' onClick: [:each | selectedObject := each]);
						add: (SewafReportColumn selector: #name title: 'Name');
						add: (SewafReportColumn selector: #processId title: 'Process Id');
						add: (SewafReportColumn selector: #printRunningTransitions title: 'Current Forms');
						add: (SewafReportColumn selector: #finished title: 'Finished');
						add: (SewafReportColumn selector: #creatorName title: 'Creator');
						add: (SewafReportColumn selector: #createdTime title: 'Creation Time');
						add: (SewafReportColumn selector: #printCurrentRols title: 'Roles');
						yourself);
		rowColors: #(white white);
		selectedObject: selectedObject;
		rowPeriod: 1;
		yourself! !

WAOrbeonRadarComposite subclass: #WAOrbeonRadarUserComposite
	instanceVariableNames: 'listType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!WAOrbeonRadarUserComposite methodsFor: 'free transitions' stamp: 'BrunoBB 11/14/2014 16:32'!
assignUserTo: anOrbeonFormProcess value: aBoolean
	"Create a new OrbeonFormProcess based on the definition OrbeonFormProcessDefinition <selectedDefinition> for the user <anOrbeonFormUser>.
	1- Create an OrbeonProcessAssignment.
	2- Add the new assignment of 1) to process <anOrbeonFormProcess>.
	3- Associate the Assignment with the Process.
	4- The user <anOrbeonFormUser> take the assignment <anOrbeonProcessAssignment>"

	aBoolean ifFalse: [^self].
	"another user could be take the process already"
	(self checkIfProcessStillAvailable: anOrbeonFormProcess) 
	ifFalse: [^self inform: 'Process [', 
									anOrbeonFormProcess processId printString, '] [', 
									anOrbeonFormProcess name, '] [',
									anOrbeonFormProcess printRunningTransitions,'] - Has been already Taken by other user !!!!!!']. 

	^OrbeonProcessAssignment associateWithProcess: anOrbeonFormProcess for: selectedObject! !

!WAOrbeonRadarUserComposite methodsFor: 'free transitions' stamp: 'BrunoBB 11/26/2014 13:21'!
buttonLabel

	(listType = 'Possible Tasks') ifTrue: [^'Take Task'].

	^'Untake Task'! !

!WAOrbeonRadarUserComposite methodsFor: 'free transitions' stamp: 'BrunoBB 11/14/2014 16:28'!
checkIfProcessStillAvailable: anOrbeonFormProcess
	"Check if another user has taken the process already"

	^anOrbeonFormProcess checkIfStillAvailableFor: selectedObject! !

!WAOrbeonRadarUserComposite methodsFor: 'other' stamp: 'BrunoBB 11/14/2014 16:49'!
elements
	^ #( 'Current Tasks' 'Possible Tasks')! !

!WAOrbeonRadarUserComposite methodsFor: 'free transitions' stamp: 'BrunoBB 11/14/2014 17:22'!
getSelectedUserTransitions

	^selectedObject getCurrentProcess! !

!WAOrbeonRadarUserComposite methodsFor: 'free transitions' stamp: 'BrunoBB 11/14/2014 17:22'!
getTransitionList

	(listType = 'Possible Tasks') ifTrue: [^self getProcessWithFreeTransitions].

	^self getSelectedUserTransitions! !

!WAOrbeonRadarUserComposite methodsFor: 'other' stamp: 'BrunoBB 11/26/2014 13:24'!
initialize

	super initialize.

	listType := 'Current Tasks'.! !

!WAOrbeonRadarUserComposite methodsFor: 'other' stamp: 'BrunoBB 11/14/2014 16:13'!
isAssignedToProcess: anOrbeonFormUser

	^false! !

!WAOrbeonRadarUserComposite methodsFor: 'Accessing' stamp: 'BrunoBB 11/20/2014 05:30'!
listType

   "Return the value of the instance variable 'listType'."
   ^listType! !

!WAOrbeonRadarUserComposite methodsFor: 'Updating' stamp: 'BrunoBB 11/20/2014 05:30'!
listType: newValue

   "Modify the value of the instance variable 'listType'."
   listType := newValue! !

!WAOrbeonRadarUserComposite methodsFor: 'other' stamp: 'BrunoBB 11/21/2014 09:26'!
onUsernameChanged: value

	searchValues at: 'username' put: value! !

!WAOrbeonRadarUserComposite methodsFor: 'other' stamp: 'BrunoBB 06/21/2015 15:01'!
renderContentOn: html

	html div id: 'top-search-area'; with: [self renderSearchOptionsOn: html].

	html div id: 'radar-users'; class: 'unique-centered-table unique-centered-table-width30';
			with:[html render: self sewafTableForUsers.].

	selectedObject ifNil: [^self].

	html div id: 'radar-processes-list'; class: 'unique-centered-table unique-centered-table-width70';
		with:[html render: self sewafTableForRunningFormProcesses.].! !

!WAOrbeonRadarUserComposite methodsFor: 'other' stamp: 'BrunoBB 11/21/2014 14:01'!
renderOptionListOn: html

	html radioGroup
		callback: [:value | listType := value];
		selected: listType;
		with: [ :group |
			self elements do: [ :each |
				html label: [ 
					group radioButton onChange: 'submit()'; value: each.
					html text: each ].] ].! !

!WAOrbeonRadarUserComposite methodsFor: 'other' stamp: 'BrunoBB 07/24/2015 13:22'!
renderSearchOptionsOn: html

	html form with: [ 
		html fieldSet with: [
			html legend with: ('Search Options' translateFor: self session user).
			html label attributeAt: 'for' put: 'username'; with: ('Username' translateFor: self session user).
			html textInput attributeAt: 'id' put: 'username';
				callback: [:value | self onUsernameChanged: value]; 
				with: (searchValues at: 'username' ifAbsent: ['']).
			self renderOptionListOn: html.
			self renderSubmitButtonOn: html.
		].
	].! !

!WAOrbeonRadarUserComposite methodsFor: 'other' stamp: 'BrunoBB 06/24/2015 12:39'!
renderSubmitButtonOn: html

	html submitButton class: 'search-section-float search-section-width-100';
						callback: [self searchUsername]; with: ('Search' translateFor: self session user).! !

!WAOrbeonRadarUserComposite methodsFor: 'other' stamp: 'BrunoBB 11/21/2014 09:47'!
searchUsername
	| username |

	selectedObject := nil.
	searchCollectionResult := OrderedCollection new.

	username := searchValues at: 'username' ifAbsent: ''.

	searchCollectionResult := self session user getVisibleUsers select: [:each | each username = username].! !

!WAOrbeonRadarUserComposite methodsFor: 'other' stamp: 'BrunoBB 11/14/2014 16:48'!
setRadioButton! !

!WAOrbeonRadarUserComposite methodsFor: 'free transitions' stamp: 'BrunoBB 11/26/2014 13:21'!
sewafTableForRunningFormProcesses

	^(SewafBooleanSelectTable parent: self)
		summary: 'Free Processes';
		buttonTitle: 'Confirm Selection';
		buttonLabel: self buttonLabel;
		rows: self getTransitionList; "get collection elements"
		booleanSelector: #isAssignedToProcess:;
		callbackSelector: #assignUserTo:value:;
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #processId title: 'Process Id' onClick: [:each |]);
						add: (SewafReportColumn selector: #name title: 'Process Name');
						add: (SewafReportColumn selector: #printRunningTransitions title: 'Current Form');
						add: (SewafReportColumn selector: #printCurrentRols title: 'Roles');
						add: (SewafReportColumn selector: #creatorName title: 'Creator');
						add: (SewafReportColumn selector: #assignedUserNames title: 'Assigned Users');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!WAOrbeonRadarUserComposite methodsFor: 'other' stamp: 'BrunoBB 11/21/2014 09:33'!
sewafTableForUsers
	"Table with all Users that are NOT present in the role <selectedObject> "

	^(SewafSelectTableReport parent: self)
		summary: 'Users to Assign';
		rows: searchCollectionResult; "get collection elements"
		columns: (OrderedCollection new  
						add: (SewafReportColumn selector: #username title: 'Username' onClick: [:each | selectedObject := each]);
						add: (SewafReportColumn selector: #isAdmin title: 'Admin?');
						yourself);
		rowColors: #(white white);
		selectedObject: selectedObject;
		rowPeriod: 1;
		yourself! !

SEWAFApplicationPortal subclass: #WAProcessBackofficePortal
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcessBackofficeWeb2'!

!WAProcessBackofficePortal methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 09:32'!
applicationIcon

	^SEWAFIconLibrary / #applicationsettings48Png! !

!WAProcessBackofficePortal methodsFor: 'other' stamp: 'BrunoBB 06/27/2015 09:32'!
applicationName

	^'Flow Backoffice'! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/05/2015 15:42'!
getDefinitionCollection
	| orbeonApplications |

	orbeonApplications := self session user orbeonApplications.
	^OrbeonFormProcessDefinition getAllLatestVersions 
		select: [:each | orbeonApplications includes: each orbeonApplication]! !

!WAProcessBackofficePortal methodsFor: 'other' stamp: 'BrunoBB 06/05/2015 06:17'!
initialize

	super initialize.

	self initializeNavigation.! !

!WAProcessBackofficePortal methodsFor: 'other' stamp: 'BrunoBB 06/30/2015 14:11'!
initializeNavigation
	| subMenu1 subMenu2 subMenu3 subMenu4 |

	navigation := SewafPortalMenu new iconLibrary: SEWAFIconLibrary.
	subMenu1 := (SewafSubMenuItem label: 'Processes' icon: #process48Png)
		addItem: (SewafCommandItem label: 'Manage Processes Definitions' command: #openDefinitionsManager);
		addItem: (SewafCommandItem label: 'Define New Process' command: #openBizagiManager);
		addItem: (SewafCommandItem label: 'Monitor Processes' command: #openProcessRadar);
		addItem: (SewafCommandItem label: 'Monitor Users' command: #openUsersRadar);
		addItem: (SewafCommandItem label: 'Process Categories' command: #openProcessCategoryManager);
		yourself.
	subMenu2 := (SewafSubMenuItem label: 'Forms' icon: #forms48Png)
		addItem: (SewafCommandItem label: 'Manage Orbeon Forms' command: #openFormManager);
		yourself.
	subMenu3 := (SewafSubMenuItem label: 'Users-Roles' icon: #usersettings48Png)
		addItem: (SewafCommandItem label: 'Manage Users' command: #openUsersManager);
		addItem: (SewafCommandItem label: 'Manage Roles' command: #openRolesManager);
		yourself.
	subMenu4 := (SewafSubMenuItem label: 'Configuration' icon: #serversetting48Png)
		addItem: (SewafCommandItem label: 'Server Setup' command: #openServerSetup);
		addItem: (SewafCommandItem label: 'Login Mode' command: #openLoginMode);
		addItem: (SewafCommandItem label: 'Change Password' command: #openChangePassword);
		addItem: (SewafCommandItem label: 'Set Language' command: #openLanguageConfiguration);
		addItem: (SewafCommandItem label: 'Internationalization' command: #openInternationalizationManager);
		yourself.
	navigation addItem: subMenu1;
		addItem: subMenu2;
		addItem: subMenu3;
		addItem: subMenu4.! !

!WAProcessBackofficePortal methodsFor: 'other' stamp: 'BrunoBB 06/28/2015 18:46'!
logout

	self session logout.	
	self session unregister.
	self requestContext redirectTo: (OrbeonServerConfiguration default gemstoneIP, '/orbeonBackoffice')! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/08/2015 06:15'!
openBizagiManager
	| subComponent |

	(arena isKindOf: WABizagiImporterBrowser)
	ifTrue: [^arena].

	^WABizagiImporterBrowser new orbeonApplications: self session user orbeonApplications.! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/08/2015 14:20'!
openChangePassword

	(arena isKindOf: FormUserPasswordComposite)
	ifTrue: [^arena].

	^FormUserPasswordComposite parent: self! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/07/2015 16:38'!
openDefinitionsManager
	| subComponent |

	(arena isKindOf: WAProcessDefinitionBrowser)
	ifTrue: [arena mode: #normal.
		^arena parent: self collection: self getDefinitionCollection].

	subComponent := WAProcessDefinitionBrowser parent: self collection: self getDefinitionCollection.
	
	subComponent mode: #normal.

	^subComponent! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/08/2015 11:36'!
openFormManager

	(arena isKindOf: OrbeonFormsUpdateComposite)
	ifTrue: [^arena].

	^OrbeonFormsUpdateComposite parent: self! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/23/2015 13:30'!
openInternationalizationManager

	(arena isKindOf: WAInternationalizationManager)
	ifTrue: [^arena].

	^WAInternationalizationManager parent: self! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/26/2015 14:14'!
openLanguageConfiguration

	(arena isKindOf: BkUserLanguageComposite)
	ifTrue: [^arena].

	^BkUserLanguageComposite parent: self! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/08/2015 14:24'!
openLoginMode

	(arena isKindOf: FormLoginModeComposite)
	ifTrue: [^arena].

	^FormLoginModeComposite parent: self! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/30/2015 14:12'!
openProcessCategoryManager

	(arena isKindOf: WAManageFormProcessCategory)
	ifTrue: [^arena].

	^WAManageFormProcessCategory parent: self! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/08/2015 11:22'!
openProcessRadar

	(arena isKindOf: WAOrbeonRadarProcessComposite)
	ifTrue: [^arena].

	^WAOrbeonRadarProcessComposite parent: self! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/08/2015 14:18'!
openRolesManager

	(arena isKindOf: FormProcessRoleComposite)
	ifTrue: [^arena].

	^FormProcessRoleComposite parent: self on: OrbeonFormRole new.! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/08/2015 14:23'!
openServerSetup

	(arena isKindOf: FormServerConfigurationComposite)
	ifTrue: [^arena].

	^(FormServerConfigurationComposite parent: self)
		model: OrbeonServerConfiguration default;
		yourself! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/08/2015 14:16'!
openUsersManager

	(arena isKindOf: FormProcessUserComposite)
	ifTrue: [^arena].

	^FormProcessUserComposite parent: self on: OrbeonFormUser new.! !

!WAProcessBackofficePortal methodsFor: 'subcomponents' stamp: 'BrunoBB 06/08/2015 11:23'!
openUsersRadar

	(arena isKindOf: WAOrbeonRadarUserComposite)
	ifTrue: [^arena].

	^WAOrbeonRadarUserComposite parent: self! !

!WAProcessBackofficePortal methodsFor: 'other' stamp: 'BrunoBB 07/23/2015 12:14'!
style

^'/* NEW CSS - REFACTORIZED */
/* START: HTML GENERAL */
body, html, main {
	margin: 0;
	width: 100%;
	height: 100%;
	overflow-y: hidden;
	background-color: #BCBCBC;
}
/* END: HTML GENERAL */
/* START: TOP AREA */
#top-area {
	display: inline-flex;
	width: 100%;
	background-color: gray;
	padding-top: 2px;
}
#top-app-icon-area {
	display: inline-flex;
	padding-top: 15px;
	padding-left: 10px;
	width: 20%;
}
#top-app-icon-area h1{
	margin-top: 5px;
	color: gainsboro;
}
#top-logout a {
	text-decoration: none;
}
#top-logout output {
	font-size: 90%;
}
#top-menu-area {
	width: 80%;
	margin-top: 5px;
}
#top-submenu-area {
	background-color: #D3D3D3;
	width: 100%;
	display: inline-block;
	padding-bottom: 10px;
	margin-bottom: -5px;
}
.top-area-close-icon {
	float: right;
	margin-top: 3px;
	margin-right: 5px;
}
.top-menu-item {
	float: left;
	margin-left: 5%;
}
.top-menu-item a {
	color: white;
	text-decoration: none;
}
.top-menu-item a output {
	font-size: 120%;
}
.top-menu-item img {
	display: block;
	margin-left: auto;
	margin-right: auto;
}
.top-menu-item-triangle {
	border-style: solid;
	border-width: 0px 10px 10px;
	border-color: transparent transparent #D3D3D3;
	color: #FFF;
	width: 0px;
	height: 0px;
	margin-left: auto;
	margin-right: auto;
}
.top-sub-item-selected output {
	font-family: Times New Roman;
	font-size: 20px;
	color: rgb(64, 64, 64);
}
.top-sub-item-selected a, .top-sub-item-unselected a {
	text-decoration: none;
}
.top-sub-item-selected, .top-sub-item-unselected {
	float: left;
	padding-top: 10px;
	margin-left: 10px;
	margin-right: 30px;
}
.top-sub-item-unselected output {
	font-family: Times New Roman;
	font-size: 20px;
	color: #808080;
}
.top-sub-item-selected, .top-sub-item-unselected output:hover {
	color: rgb(64, 64, 64);
}
/* END: TOP AREA */
/* START: BOTTOM AREA */
/* END: BOTTOM AREA */
/* START: COMPONENT AREA */
#component-area {
	background-color: #BCBCBC;
	width: 100%;
	height: 100%;
	overflow-y: auto;
}
#component-area hr {
	margin-top: 0px;
	margin-bottom: 0px;
}
/*START: SEARCH AREA*/
#top-search-area {
}
#top-search-switch-icon {
	display: inline-flex;
	float: right;
}
#top-search-area form fieldset {
	border-radius: 6px;
	margin-bottom: 0px;
	padding-bottom: 5px;
}
#top-search-area form fieldset label {
	margin-right: 10px;
}
#top-search-area form fieldset input {
	border-radius: 6px;
	margin-right: 20px;
	border-color: darkgray;
}
#top-search-area form fieldset select {
	width: 20%;
	border-radius: 6px;
	margin-right: 20px;
	border-color: darkgray;
}
#top-search-filters {
	margin-top: 10px;
}
/*END: SEARCH AREA*/
/*START: INNER COMPONENTS*/
#add-new-import-form {
	margin-left: auto;
	margin-right: auto;
	display: inline-flex;
	width: 38%;
}
#add-new-form-button {
	margin-left: 82%;
}
#add-rol-button {
	float: left;
	margin-left: 20px;
	margin-right: 20px;
	margin-top: 25px;
}
#add-user-button {
	float: left;
	margin-left: 20px;
	margin-right: 20px;
	margin-top: 30px;
}
#applications-list {
	float: left;
	margin-left: 10px;
}
#applications-list select {
	width: 300px;
}
.category-circle {
	width: 20px;
	height: 20px;
	border-radius: 10px;
	float: left;
	margin-bottom: 3px;
	margin-left: 2px;
	text-align: center;
}
.category-label {
	float: right;
	text-decoration: none;
	color: white;
	border-radius: 10px;
	padding-left: 5px;
	padding-right: 5px;
	margin-left: 5px;
	margin-right: 5px;
}
.error-text {
	color: red;
}
#forms-operations {
	float: left;
	width: 200px;
}
#forms-operations input {
	border-radius: 10px;
	margin-left: 10px;
	margin-bottom: 10px;
}
.hide-lateral-left-list {
	display: inline;
}
.import-all-button-1 {
	margin-left: 340px;
}
.import-all-button-2 {
	margin-left: 310px;
}
#import-forms {
	overflow-y: auto;
	height: 620px;
}
#internationalization {
}
#internationalization fieldset {
	border: medium none;
}
#internationalization label, #internationalization input, #internationalization select {
	width: 200px;
	border-radius: 10px;
	margin-right: 15px;
}
#inter-current-dictionary {
	height: 480px;
	margin-left: auto;
	margin-right: auto;
	width: 90%;
	overflow-y: auto;
}
#inter-current-dictionary output {
	color: #66650B;
}
#inter-current-dictionary span {
	color: rgb(14, 79, 101);
}
#item-customized-component ul {
	list-style-type: none;
}
.lateral-left-list {
	width: 20%;
	display: inline-block;
	overflow-y: scroll;
	height: 555px;
}
.lateral-left-list ul {
	list-style-type: none;
	padding-left: 2px;
	width: 100%;
}
.lateral-left-list a {
	text-decoration: none;
	color: black;
}  
.lateral-left-list ul li {

}
.lateral-left-list-icon {
	width: 32px;
	float: left;
	padding-left: 5px;
	padding-top: 5px;
}
.lateral-left-list-item-selected {
	background-color: beige;
	border-radius: 10px;
	padding-left: 10px;
}
.lateral-left-list-item-unselected {
}
.lateral-left-list-item-summary-data {
	display: inline-block;
	color: rgb(37, 46, 146);
}
.lateral-left-list-item-summary-data output {
	display: block;
	margin-left: auto;
	margin-right: auto;
}
.lateral-left-list-item-title-selected {
	font-size: 150%;
}
.lateral-left-list-item-title-unselected {
	font-size: 150%;
}
.lateral-right-component-additional-data {
	text-align: center;
}
.lateral-right-component-additional-data span {
	font-style: italic;
	margin-right: 5px;
	margin-left: 15px;
	color: #8A8A59;
}
.lateral-right-component-additional-data output {
	color: darkblue;
}
.lateral-right-component {
	height: 100%;
	float: right;
	background-color: #BCBCBC;
}
.lateral-right-component-description {
	background-color: #E4E49E;
	padding-bottom: 15px;
}
.lateral-right-component-main-data {
	font-size: 150%;
	text-align: center;
}
.lateral-right-component-width80 {
	width: 80%;
}
.lateral-right-component-width100 {
	width: 100%;
}
.lateral-right-component-secondary-data {
	text-align: center;
}
.lateral-right-component-secondary-data span {
	font-style: italic;
	margin-right: 5px;
	margin-left: 15px;
	color: #8A8A59;
}
.lateral-right-component-secondary-data output {
	color: darkblue;
}
.list-lateral-element {
	width: 90%;
}
.list-lateral-element-custom {
	float: right;
	width: 10%;
}
.list-lateral-item {
	display: flex;
	margin-bottom: 5px;
	margin-top: 5px;
}
.max-width-td {
	max-width: 600px;
}
#orbeon-list-application {
	padding-top: 20px;
	width: 40%;
	margin-left: auto;
	margin-right: auto;
}
#orbeon-list-application form {
	border-radius: 10px;
	border: 2px solid black;
}
#orbeon-list-application form fieldset {
	border: none;
}
#orbeon-list-application form fieldset input select {
	border-radius: 6px;
	margin-right: 20px;
	border-color: #A9A9A9;
	display: block;
	margin-top: 10px;
}
#remove-new-form-button {
	margin-left: 10px;
}
.right-sub-component {
	margin-left: 10px;
	margin-top: 10px;
	overflow-y: auto;
	height: 440px;
}
.right-sub-component ul {
	list-style-type: none;
}
#rols-users {
	padding-top: 20px;
	padding-bottom: 20px;
}
#rols-users table {
	width: 100%;
	border: 2px solid #000;
	border-radius: 10px;
}
#rols-and-users {
	float: left;
}
#system-rols {
	display: inline-flex;
	float: left;
	padding-top: 20px;
}
#system-rols  table {
	margin-left: 15px;
	width: 100%;
	border: 2px solid #000;
	border-radius: 10px;
}
#system-users {
	display: inline-flex;
	float: left;
}
#system-users  table {
	margin-left: 15px;
	width: 100%;
	border: 2px solid black;
	border-radius: 10px;
}
.unique-centered-form {
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 10px;
	padding-top: 20px;
}
.unique-centered-form-width38 {
	width: 38%;
}
.unique-centered-form form { 
	border-radius: 10px;
	border-style: inset;
	background-color: rgb(163, 187, 164);
	padding: 15px;
	border-width: 2px;
	width: 390px;
}
.unique-centered-form form fieldset {
	border: none;
} 
.unique-centered-form form input[type="text"]{ 
	border-radius: 10px;
	border-style: inset;
	width: 350px;
	margin-bottom: 5px;
}
.unique-centered-form form input[type="submit"] { 
	border-radius: 10px;
	width: 150px;
	border-right: 10px;
	margin-top: 10px;
}
.unique-centered-form form input[type="file"] { 
	border-radius: 10px;
	width: 400px;
	border-right: 10px;
	margin-top: 10px;
	margin-bottom: 5px;
}
.unique-centered-form form label { 
	display: block;
	margin-top: 10px;
}
.unique-centered-form form select { 
	border-radius: 10px;
	border-style: inset;
	display: block;
	width: 350px;
	margin-bottom: 10px;
}
.unique-centered-form form p { 
	margin-top: 10px;
	font-size: 20px;
	font-style: italic;
}
.unique-centered-table {
	margin-left: auto;
	margin-right: auto;
	border: 2px solid #000;
	border-radius: 10px;
	margin-top: 30px;

}
.unique-centered-table-width30 {
	width: 30%;
}
.unique-centered-table-width70 {
	width: 70%;
}
.unique-centered-table  table {
	width: 100%;
}
.unique-centered-table fieldset {
	border: 0px none;
	margin-left: auto;
	margin-right: auto;
	width: 150px;
	margin-top: 20px;
}
.unique-centered-table fieldset  input {
	border-radius: 10px
}
#users-and-rols {
	float: left;	
}
#users-configuration {
	padding-top: 20px;	
}
#user-rols table {
	width: 100%;
	border: 2px solid #000;
	border-radius: 10px;
}
#users-to-add {
	float: left;
	padding-left: 70px;
	padding-top: 20px;
}
#users-to-add table {
	border: 2px solid #000;
	border-radius: 10px;
}
#users-to-add input {
	border-radius: 10px;
}
#users-to-add-to-role {
	float: left;
	margin-left: 65px;
}
#users-to-add-to-role table {
	border: 2px solid #000;
	border-radius: 10px;
}
#users-to-add-to-role input {
	border-radius: 10px;
}
.width-6-percent {
	width: 6%;
}
/*END: INNER COMPONENTS*/
/* END: COMPONENT AREA */'! !
